<?php

namespace App\Http\Middleware;

use Illuminate\Foundation\Http\Middleware\VerifyCsrfToken as Middleware;
use Illuminate\Support\Facades\Redirect;

class VerifyCsrfToken extends Middleware
{
    /**
     * The URIs that should be excluded from CSRF verification.
     *
     * @var array
     */
    protected $except = [
        "/process_form_submit",
        "/availability/load",
        '/practice-management/stat-tree/*',
        '/practice-management/stat-tree-line/*',
        '/practice-management/clause/replace-all'
    ];
    
}
