<div class="card mb-2">
    <div class="card-header">Cpt Codes Billed By Month</div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-6">
                <table class="table table-striped table-bordered table-sm">
                    <thead>
                        <tr>
                            <th>Date</th>
                            <th>CPT</th>
                            <th>Count</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr v-for="r in resultMap.CptCodesBilledByMonth">
                        <td>@{{ moment(r.date_trunc, 'YYYY-MM-DD').format('MMM/YYYY') }}</td>
                            <td>@{{ r.cpt }}</td>
                            <td>@{{ r.count }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="col-md-6">
            <canvas id="CptCodesBilledByMonth"></canvas>
            </div>
        </div>
    </div>
</div>