@if(!count($contraindications))
    <span class="d-block no-suggest-items">No contraindications!</span>
@else
    <div class="d-flex px-2 py-1 bg-white border-bottom align-items-baseline">
        <span>Count: <b>{{count($contraindications)}}</b></span>
        <a href="#" class="text-sm ml-auto" onclick="$(this).parent().next('table').toggle(); return false;">Toggle</a>
    </div>
    <table class="table table-sm table-striped table-bordered" style="display: none">
        <thead>
        <tr>
            <th>Severity</th>
            <th>Contraindication</th>
        </tr>
        </thead>
        <tbody>
        @foreach($contraindications as $contraindication)
            <tr>
                <td class="font-weight-bold">{{$contraindication->ddxcn_sl == 1 ? 'Contraindication' : ($contraindication->ddxcn_sl == 2 ? 'Severe Warning' : 'Moderate Warning')}}</td>
                <td>{{$contraindication->dxid_desc56}}</td>
            </tr>
        @endforeach
        </tbody>
    </table>
@endif

