@if(!count($indications))
    <span class="d-block no-suggest-items">No indications!</span>
@else
    <div class="d-flex px-2 py-1 bg-white border-bottom align-items-baseline">
        <span>Count: <b>{{count($indications)}}</b></span>
        <a href="#" class="text-sm ml-auto" onclick="$(this).parent().next('table').toggle(); return false;">Toggle</a>
    </div>
    <table class="table table-sm table-striped table-bordered" style="display: none">
        <thead>
        <tr>
            <th>Indication</th>
            <th>FDA Approved</th>
        </tr>
        </thead>
        <tbody>
        @foreach($indications as $indication)
            <tr>
                <td class="font-weight-bold">{{$indication->dxid_desc56}}</td>
                <td>{{$indication->indcts_lbl}}</td>
            </tr>
        @endforeach
        </tbody>
    </table>
@endif

