<div class="px-3 pt-3 mcp-theme-1">
    <div class="card">

        <div class="card-header px-3 py-2 d-flex align-items-center border-bottom-0 hide-inside-popup">
            <strong class="mr-4">
                <i class="fas fa-user"></i>
                Measurements Pending Stamping
            </strong>
        </div>

        <div class="card-body p-0 border-top-0 pb-0">


            <table class="table table-sm table-striped mb-0">
                <thead>
                <tr>
                    <th class="border-bottom-0 border-top-0 text-secondary">Patient</th>
                    <th class="border-bottom-0 border-top-0 text-secondary">Care Month</th>
                    <th class="border-bottom-0 border-top-0 text-secondary">Measurements Pending Stamping</th>
                </tr>
                </thead>
                <tbody>
                @foreach($records as $row)
                    <tr>
                        <td>
                            <b>
                                <a href="{{ route('patients.view.dashboard', $row->patient) }}">
                                    {{$row->patient->displayName()}}
                                </a>
                            </b>
                        </td>
                        <td>
                            <a native target="_blank"
                               open-in-stag-popup
                               update-parent
                               mc-initer="cm-matrix-{{$row->patient->id}}"
                               title="Care Month Matrix: {{date('M Y', strtotime($row->start_date))}}"
                               href="/patient-care-month-matrix/{{$row->uid}}">
                                <b>{{ friendly_month($row->start_date) }}</b>
                            </a>
                        </td>
                        <td>
                            {{ $row->rm_num_measurements_not_stamped_by_mcp }}
                        </td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
    <div class="mt-3">
        {{ $records->withQueryString()->links() }}
    </div>
</div>



