<div class="p-3 mcp-theme-1">
    <div class="card">

        <div class="card-header px-2 py-1 hide-inside-popup border-bottom-0">
            <strong class="mr-4">
                <i class="fas fa-box"></i>
                Supply Orders Awaiting Shipment
            </strong>
        </div>

        <div class="card-body p-0 border-top-0 pb-0">


            <table class="table table-sm table-striped mb-0">
                <thead class="bg-light">
                <tr>
                    <th class="border-0">Date</th>
                    <th class="border-0">Patient</th>
                    <th class="border-0">Product</th>
                    <th class="border-0">Memo</th>
                    <th class="border-0">Status</th>
                </tr>
                </thead>
                <tbody>
                @foreach($records as $row)
                    <tr>
                        <td>{{ friendly_date_time($row->created_at, false) }}</td>
                        <td>
                            <a target="_blank" native href="{{route('patients.view.dashboard', $row->client)}}">
                                {{$row->client->displayName()}}
                            </a>
                        </td>
                        <td>{{ $row->product->title }}</td>
                        <td>{{ $row->reason ?: '-' }}</td>
                        <td>Cleared for shipment</td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
