@extends ('layouts.patient')
@section('inner-content')
     @if(count($patient->companyClients))
    <div>
        <div class="d-flex align-items-end pb-3">
            <h4 class="font-weight-bold m-0">
                <i class="fa fa-link"></i>
                Linked Companies ({{ count($patient->companyClients) }})
            </h4>
            <span class="mx-2 text-secondary">|</span>
            @include('app.patient.company-client.partials.create-company-client-form')
        </div>
    </div>
    @else
        <div class="alert alert-danger p-2 rounded-0">No linked companies set for this patient! 
        @include('app.patient.company-client.partials.create-company-client-form')
        </div>
    @endif
@endsection
