<?php $keysToSkip = [
  "Dozing",
  "functional_status",
  "cognitive_status",
  "Score",
  "dropdownOptions",
  "HPI_description",
  "HPI_symptoms",
  "HPI_severity",
  "HPI_duration",
  "HPI_timing",
  "HPI_context",
  "HPI_aggravating_factors",
  "HPI_alleviating_factors",
  "sleep_exam_sleep_summary",
  "PH_previous_treatment",
  "PH_current_treatment",
  "AP_Weight_Mgmt_Plan",
  "functional_impairments",
  "cognitive_impairments",
  "dozing",
  "sitting",
  "watching",
  "sitting_inactive",
  "passenger_car",
  "sitting_quietly",
  "lying_down",
  "sitting_and_talking",
  "traffic",
  "do_you_snore",
  "your_snoring_is",
  "your_snoring_occurs",
  "do_you_snore_in_every_body_poisition",
  "your_snoring_is_also_interrupted_by_pauses_choking",
  "do_you_have_or_ever_had_a_bed_partner",
  "has_your_bed_partner_ever_said_that_you_have_pauses_in_your_breathing_or_stop_breathing_during_sleep",
  "do_you_feel_that_in_some_way_your_sleep_is_not_refreshing_or_restful",
  "do_you_feel_fatigued_exhausted_tired_or_not_up_to_par",
  "do_you_frequently_wake_up_with_morning_headaches",
  "do_you_experience_creeping_crawling_feeling_and_urge_to_move_your_legs",
  "do_these_sensations_and_urge_to_move_your_legs_occur_during_periods_of_rest_or_inactivity_and_are_relieved_by_movement",
  "do_the_sensations_and_urge_to_move_bother_you_more_in_the_evening_and_at_night_rather_than_during_the_day",
  "does_your_bed_partner_tell_you_that_you_jerk_your_legs_arms_when_you_are_asleep",
  "have_you_ever_experience_sudden_body_weakness_brought_on_by_laughter_surprise_or_fear",
  "have_you_ever_experienced_seeing_or_hearing_things_that_was_not_real_when_you_were_falling_asleep_or_had_just_awakened",
  "have_you_ever_felt_as_if_you_were_awake_but_could_not_move_sleep_paralysis",
  "do_you_have_trouble_initiating_and_or_maintaining_sleep",
  "how_long_does_it_take_to_fall_asleep_at_night",
  "how_often_do_you_wake_up_in_the_middle_of_the_night",
  "how_long_does_it_take_to_fall_back_asleep_when_you_wake_up_in_the_middle_of_the_night",
  "do_you_wake_up_very_early_in_the_morning_and_find_it_hard_to_get_back_to_sleep",
  "feeling_down_depressed_or_hopeless",
  "by_nerves_or_feeling_anxious_or_on_edge",
  "had_an_anxiety_attack_suddenly_feeling_fear_or_panic",
  "on_the_weekdays_what_time_do_you_go_to_bed",
  "on_the_weekdays_what_time_do_you_get_up_in_the_morning",
  "on_the_weekends_what_time_do_you_go_to_bed",
  "on_the_weekends_what_time_do_you_get_up_in_the_morning",
  "what_do_you_feel_is_your_ideal_amount_of_sleep_per_day",
  "estimate_the_average_number_of_hours_of_sleep_you_had_per_day_during_the_last_week",
  "are_you_a_shift_worker"
]; ?>
@if($points && count($points))
    <?php
        ob_start();
        $j = 0;
        foreach ($points as $point) {
            $j++;
            ?>
            <tr>
                <td class="font-weight-normal">
                    @include('app.patient.module-specific-summary-renderers.data-dump', compact('point'))
                </td>
                <td></td>
            </tr>
            <?php
        }
        $output = ob_get_contents();
        ob_end_clean();
    ?>
    @if($output && !!trim(strip_tags($output)))
    <div class="d-flex border-bottom">
        <a class="mr-2 min-width-110px hide-if-note-signed"
            open-in-stag-popup
           href="/module-view/{{$note->uid}}/sleep_health_intake/edit"
           mc-initer="edit-sleep_health_intake-container-{{$note->id}}"
           title="Sleep Health Intake"
           popup-style="stag-popup-md overflow-visible">
            Sleep Health
        </a>
        <span class="mr-2 min-width-110px font-weight-bold show-if-note-signed">
            Sleep Health
        </span>

        <div class="flex-grow-1">
            <table class="table table-bordered table-xs table-cage mb-0">
                <?= $output ?>
            </table>
        </div>
    </div>
    @endif
@endif
