@if(!$note->is_cancelled && $note->is_signed_by_hcp)
    <div class="border-top p-3">
        <div moe relatve
             class="{{ $hasBills ? 'moe-disabled' : '' }}"
             title="{{ $hasBills ? 'Cannot cancel note since it has un-cancelled bills in it' : '' }}">
            <a class="text-danger font-weight-normal on-hover-opaque" href="" show start>
                <i class="fa fa-exclamation-triangle"></i>
                Cancel Signed Note
            </a>
            <form url="/api/note/cancel">
                @if($patient->has_cm_setup_been_performed && $patient->cm_setup_note_id === $note->id)
                    A care-plan was created during this note. Please undo that before cancelling the note.
                @else
                    <input type="hidden" name="uid" value="{{$note->uid}}">
                    <p class="small mb-1 font-weight-bold">This note has been already signed by the HCP.</p>
                    <p class="mb-2">Do you still want to cancel this note?</p>
                    <div class="mb-2">
                        <textarea name="memo" id="" cols="30" rows="5" placeholder="Memo (required to cancel signed note)" class="memo-textarea form-control form-control-sm" required></textarea>
                    </div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-danger mr-2" submit>Yes</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>No</button>
                    </div>
                @endif
            </form>
        </div>
    </div>
@endif
