<div class="p-3">
    <?php $numReviews = 0; ?>
    @foreach($point->childReviews as $record)
        @if(@$record->data)
            <?php $numReviews++; ?>
            <div class="border mb-3">
                <div class="border-bottom p-2">
                    <span class="text-secondary text-sm">Updated on </span>
                    @if($record->client->core_note_id !== $record->note->id)
                        <a native target="_blank" class="text-sm"
                           href="<?= route('patients.view.notes.view.dashboard', ['patient' => $record->client, 'note' => $record->note]) ?>">
                            <?= friendlier_date_time($record->created_at) ?>
                        </a>
                    @else
                        <span class="text-sm"><?= friendlier_date_time($record->created_at) ?> from the patient's chart</span>
                    @endif
                </div>
                <div class="p-2">
                    <?php
                    if(!@$template) $template = 'hpi/core.json';
                    $review = json_decode($record->data);
                    $data = $review ? $review : null;
                    $patient = $note->client;
                    ?>
                    @include('app.dq-engine.read', compact('template', 'note', 'patient', 'point', 'data'))
                </div>
            </div>
        @endif
    @endforeach
    @if(!$numReviews)
        <div class="border mb-3">
            <div class="p-2">
                No HPI present
            </div>
        </div>
    @endif
</div>