<?php
/** @var App\Models\Note $note */
/** @var App\Models\Pro $pro */
/** @var App\Models\Section $section */
/** @var $allSections */
?>
@extends ('layouts.print-note')

@section('content')

    <div class="note-print print-width">

        <div class="card mb-0 {{ $note->is_cancelled ? 'cancelled-item' : '' }} border-0 rounded-0">

            <div class="card-body p-0">
                <div class="note_template_{{$note->visitTemplate ? $note->visitTemplate->internal_name : ''}}">
                    @include('app.patient.note.note-segment-list-print')
                </div>
            </div>
        </div>

    </div>

@endsection
