<div class="px-3 pb-3">
    <?php $numReviews = 0; ?>
    @foreach($point->childReviews as $record)
        @if(@$record->data)
            <?php $numReviews++; ?>
            <div class="border mt-3">
                <div class="border-bottom p-2 bg-light">
                    <span class="text-secondary text-sm">Updated on </span>
                    @if($record->client->core_note_id !== $record->note->id)
                        <a native target="_blank" class="text-sm"
                           href="<?= route('patients.view.notes.view.dashboard', ['patient' => $record->client, 'note' => $record->note]) ?>">
                            <?= friendlier_date_time($record->created_at) ?>
                        </a>
                        @if($record->creatorPro)
                            <span class="text-secondary text-sm">by {{$record->creatorPro->displayName()}}</span>
                        @endif
                    @else
                        <span class="text-sm"><?= friendlier_date_time($record->created_at) ?> from the patient's chart</span>
                    @endif
                </div>
                <div class="p-2 inline-html-container">
                    <?php
                        $review = json_decode($record->data);
                        echo @($review->value) ? $review->value : '-';
                    ?>
                </div>
            </div>
        @endif
    @endforeach
    @if(!$numReviews)
        <div class="border mb-3">
            <div class="p-2">
                No reviews
            </div>
        </div>
    @endif
</div>