@extends ('layouts.patient')
@section('inner-content')
    <div class="">
        <div class="d-flex align-items-center pb-2">
            <h4 class="font-weight-bold m-0">Outgoing SMS Messages</h4>
        </div>
        <table class="table table-striped table-sm table-bordered">
            <thead class="bg-light">
            <tr>
                <th class="border-0 text-secondary text-nowrap">Date &amp; Time</th>
                <th class="border-0 text-secondary w-25">From</th>
                <th class="border-0 text-secondary w-25">To</th>
                <th class="border-0 text-secondary w-50">Content</th>               
            </tr>
            </thead>
            <tbody>
            @foreach($patient->ismses as $sms)
                <tr class="{{$sms->created_at > $patient->last_sms_sent_to_client_at && $sms->is_reply_needed == 'YES' ? 'bg-warning': ''}}">
                    <td class="text-nowrap">{{ friendly_date_time($sms->created_at) }}</td>
                    <td>{{ $sms->from_number }}</td>
                    <td>{{ $sms->to_number }}</td>
                    <td>{{ $sms->message }}</td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
    
@endsection
