<div class="pt-2 mt-2">
    <div class="d-flex align-items-center pb-2">
        <h6 class="my-0 font-weight-bold">Surgical History</h6>
        @if($isOldClient && @$hasPshxInCanvas)
            <div class="px-2 font-weight-bold alert alert-info text-sm my-0 ml-2 py-1">New</div>
        @endif
        @if(!@$disallowPointEdits)
        <a native="" target="_blank"
           class="c-pointer d-inline-flex align-items-center ml-3 text-decoration-none shx-trigger"
           open-in-stag-popup="" update-parent=""
           mc-initer="history_surgical_{{$patient->id}}"
           title="Surgical History"
           popup-style="overflow-visible"
           href="/chart-segment-view/{{$patient->uid}}/history_surgical/edit">
            <i class="fa fa-bolt mr-1"></i>
            <span>Manage</span>
        </a>
        @else
            <span class="text-secondary text-sm ml-3">Editable from within notes.</span>
        @endif
    </div>
    <div class="bg-light border p-2 mb-3 point-content">
        @include('app.patient.segment-templates.omega_history_surgical.summary-dashboard', ['patient' => $patient, 'note' => $patient->coreNote])
    </div>
</div>
<script>
    if(!window.segmentInitializers) window.segmentInitializers = {};
    addMCInitializer('history_surgical_{{$patient->id}}', function() {
        window.segmentInitializers['history_surgical'].call(window);
    }, '.shx-trigger');
</script>
