<div class="stag-popup stag-popup-md mcp-theme-1" stag-popup-key="new-prescription-popup-OTHER">
    <form method="POST" action="" class="overflow-visible">
        <h3 class="stag-popup-title mb-2">
            <span>Other Prescription</span>
            <a href="#" class="ml-auto text-secondary"
               onclick="return closeStagPopup()"><i class="fa fa-times-circle"></i></a>
        </h3>

        <div class="mb-2">
            <label class="text-sm text-secondary mb-1">Title</label>
            <input type="text" class="form-control form-control-sm min-width-unset"
                   v-model="newPrescription_OTHER.clinicalDetailJson.title">
        </div>
        <div class="mb-2">
            <label class="text-sm text-secondary mb-1">Memo</label>
            <input type="text" class="form-control form-control-sm min-width-unset"
                   v-model="newPrescription_OTHER.clinicalDetailJson.memo">
        </div>

        <div class="font-weight-bold mt-3 mb-1">
            <!--<span v-if="currentPrescription && currentPrescription.erx_category === 'DRUG'">Pharmacy</span>
            <span v-else-if="currentPrescription && currentPrescription.erx_category === 'LAB'">Lab</span>
            <span v-else-if="currentPrescription && currentPrescription.erx_category === 'IMAGING'">Lab</span>
            <span v-else>Logistics</span>-->
            <span>Logistics</span>
        </div>
        <div class="mb-2">
            <label class="text-sm text-secondary mb-1">Business Name</label>
            <input type="text" class="form-control form-control-sm min-width-unset facility-search"
                   stag-suggest
                   stag-suggest-ep="/search-facility/json"
                   autocomplete="donotdoit"
                   v-model="newPrescriptionLogistics.logisticsDetailJson.facilityName">
        </div>
        <div class="row">
            <div class="col-4 pr-0">
                <div class="mb-2">
                    <label class="text-sm text-secondary mb-1">City</label>
                    <input type="text" class="form-control form-control-sm min-width-unset"
                           v-model="newPrescriptionLogistics.logisticsDetailJson.facilityCity">
                </div>
            </div>
            <div class="col-4 pr-0">
                <div class="mb-2">
                    <label class="text-sm text-secondary mb-1">State</label>
                    <input type="text" class="form-control form-control-sm min-width-unset"
                           v-model="newPrescriptionLogistics.logisticsDetailJson.facilityState">
                </div>
            </div>
            <div class="col-4">
                <div class="mb-2">
                    <label class="text-sm text-secondary mb-1">ZIP</label>
                    <input type="text" class="form-control form-control-sm min-width-unset"
                           v-model="newPrescriptionLogistics.logisticsDetailJson.facilityZip">
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-6 pr-0">
                <div class="mb-2">
                    <label class="text-sm text-secondary mb-1">Phone</label>
                    <input type="text" class="form-control form-control-sm min-width-unset"
                           v-model="newPrescriptionLogistics.logisticsDetailJson.facilityPhone">
                </div>
            </div>
            <div class="col-6">
                <div class="mb-2">
                    <label class="text-sm text-secondary mb-1">Fax</label>
                    <input type="text" class="form-control form-control-sm min-width-unset"
                           v-model="newPrescriptionLogistics.logisticsDetailJson.facilityFax">
                </div>
            </div>
        </div>

        <div class="d-flex align-items-center justify-content-center mt-3">
            <button type="button" class="btn btn-sm btn-primary mr-2" v-on:click.prevent="saveNewPrescription()">Submit
            </button>
            <button type="button" class="btn btn-sm btn-default border" onclick="return closeStagPopup()">Cancel
            </button>
        </div>
    </form>
</div>
