<div class="stag-popup stag-popup-sm mcp-theme-1" stag-popup-key="transmit-popup">
    <form method="POST" class="overflow-visible">
        <h3 class="stag-popup-title mb-2">
            <span><i class="fa fa-fax text-secondary font-size-13"></i> Transmit via Fax or Secure Email</span>
            <a href="#" class="ml-auto text-secondary"
               onclick="return closeStagPopup()"><i class="fa fa-times"></i></a>
        </h3>
        <div class="mb-3 pb-3 border-bottom">
            <p class="text-secondary text-sm mb-2 text-center">Document Preview</p>
            <div id="transmit-pdf-preview">

            </div>
        </div>
        <div class="mb-2">
            <label class=" mb-1">To</label>
            <input type="text" v-model="currentPrescriptionTransmit.toWho" class="form-control">
        </div>
        <div class="row mb-2">
            <div class="col-6 pr-0">
                <div class="">
                    <label class=" mb-1">Email</label>
                    <input type="text" v-model="currentPrescriptionTransmit.toEmail" class="form-control">
                </div>
            </div>
            <div class="col-6">
                <div class="">
                    <label class=" mb-1">Fax Number</label>
                    <input type="text" v-model="currentPrescriptionTransmit.toFaxNumber" class="form-control">
                </div>
            </div>
        </div>
        <div class="mb-2">
            <label class=" mb-1">Fax Attention Line</label>
            <input type="text" v-model="currentPrescriptionTransmit.toFaxNumberAttentionLine" class="form-control">
        </div>
        <div class="mb-2">
            <label class=" mb-1">Fax Cover Sheet Memo</label>
            <input type="text" v-model="currentPrescriptionTransmit.toFaxNumberCoverSheetMemo" class="form-control">
        </div>
        <div class="mb-2 pt-2">
            <label class=" mb-1 d-inline-flex align-items-baseline">
                <input type="checkbox" v-model="currentPrescriptionTransmit.copyToPatient" class="mr-2">
                Transmit Copy to Patient
            </label>
        </div>
        <div class="row mb-2" v-show="currentPrescriptionTransmit.copyToPatient">
            <div class="col-6 pr-0">
                <div class="">
                    <label class=" mb-1">Patient Email</label>
                    <input type="text" v-model="currentPrescriptionTransmit.copyToPatientEmail" class="form-control">
                </div>
            </div>
            <div class="col-6">
                <div class="">
                    <label class=" mb-1">Patient Fax Number</label>
                    <input type="text" v-model="currentPrescriptionTransmit.copyToPatientFaxNumber" class="form-control">
                </div>
            </div>
        </div>

        <div class="d-flex align-items-center justify-content-center mt-3">
            <button type="button" class="btn btn-sm btn-primary mr-2" v-on:click.prevent="doTransmit()">Submit</button>
            <button type="button" class="btn btn-sm btn-default border" onclick="return closeStagPopup()">Cancel</button>
        </div>
    </form>
</div>