<div id="primaryCoverageManualDeterminationView">
	<div class="table-responsive">
	<table class="table table-sm table-bordered table-striped">
		<thead>
			<tr>
				<th class="border-bottom-0"></th>
				<th class="border-bottom-0">Override</th>
				<th class="border-bottom-0">Automatic</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Plan Type</td>
				<td colspan="2">{{$cpc->plan_type}}</td>
			</tr>
			<tr>
				<td>Record Found?</td>
				<td>
					<div class="form-group mb-0">
						<p class="mb-1 text-secondary">Is Matched? <span class="text-dark">{{$cpc->manual_medicare_is_matched ?? '-'}}</span></p>
						
					</div>
				</td>
				<td>{{$cpc->manual_medicare_is_matched ? 'YES' : 'NO'}}</td>
			</tr>


			<tr>
				<td>Part B Active?</td>
				<td>
					<div class="form-group mb-0">
						<span>{{$cpc->manual_medicare_is_partbactive ?? '-'}}</span>
					</div>
				</td>
				<td>{{$cpc->manual_medicare_is_partbactive}}</td>
			</tr>
			<tr>
				<td>Part B Primary?</td>
				<td>
					<div class="form-group mb-1">
						<span>{{$cpc->manual_determination_category  ?? '-'}} <small class="text-muted">(Manual Determination Category)</small></span>
					</div>
					<div class="form-group mb-0">
						<span>{{$cpc->manual_medicare_is_partbprimary ?? '-'}}</span>
					</div>
				</td>
				<td>{{$cpc->manual_medicare_is_partbprimary}}</td>
			</tr>
			<tr>
				<td>Part C Active?</td>
				<td>
					<div class="form-group mb-0">
						<div class="alert alert-danger" v-if="cpc.auto_medicare_is_partcactive == 'YES' && cpc.auto_medicare_is_partbprimary == 'YES'">
							Oops! Patient Medicare Part B Primary is set to <b>Yes</b>.
						</div>
						<span>{{$cpc->manual_medicare_is_partcactive ?? '-'}}</span>
					</div>
				</td>
				<td>{{$cpc->manual_medicare_is_partcactive}}</td>
			</tr>
			<tr>
				<td>Inpatient?</td>
				<td>
					<div class="form-group mb-0">
						<span>{{$cpc->manual_medicare_is_inpatient ?? '-'}}</span>
					</div>
				</td>
				<td>{{$cpc->manual_medicare_is_inpatient}}</td>
			</tr>
			<tr>
				<td>Hospice?</td>
				<td>
					<div class="form-group mb-0">
						<span>{{ $cpc->is_hospice }}</span>
					</div>
				</td>
				<td>UNKNOWN</td>
			</tr>

			<tr>
				<td>Home Health?</td>
				<td>
					<div class="form-group mb-0">
						<span>UNKNOWN</span>
					</div>
				</td>
				<td>UNKNOWN</td>
			</tr>
			<tr>
				<td>MSP?</td>
				<td>
					<div class="form-group mb-0">
						<span>{{$cpc->manual_medicare_is_msp ?? '-'}}</span>
					</div>
				</td>
				<td>{{$cpc->manual_medicare_is_msp}}</td>
			</tr>
			<tr>
				<td>Memo</td>
				<td colspan="2">{{$cpc->manual_determination_category_memo ?? '-'}}</td>
			</tr>
		</tbody>
	</table>
</div>
</div>
<script type="text/javascript">
	var primaryCoverageManualDeterminationView = new Vue({
		el: '#primaryCoverageManualDeterminationView',
		data: {
			cpc: <?= json_encode($cpc); ?>,
		}
	})
</script>
