<div moe relative wide>
	<a href="" start show>
		+ Commercial
	</a>
	<form id="commercialComponent" url="/api/clientPrimaryCoverage/createNewCoverageForCommercial" right class="mcp-theme-1">
		<input type="hidden" name="clientUid" value="{{$patient->uid}}" class="form-control input-sm" />

		<div class="row">
			<div class="form-group col-md-12">
				<label for="" class="control-label">Commercial Payer</label>
				<select name="commercialPayerUid" id="" class="form-control input-sm">
					<option value="">--</option>
				</select>
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Patient Member Identifier</label>
				<input type="text" name="commercialMemberIdentifier"  class="form-control input-sm">
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Patient Group Number</label>
				<input type="text" name="commercialGroupNumber"  class="form-control input-sm">
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Patient First Name</label>
				<input type="text" name="patientNameFirst" value="{{$patient->name_first}}" class="form-control input-sm">
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Patient Middle Name / MI</label>
				<input type="text" name="patientNameMiddle" value="{{$patient->name_middle}}" class="form-control input-sm">
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Patient Last Name</label>
				<input type="text" name="patientNameLast" value="{{$patient->name_last}}" class="form-control input-sm">
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Patient Suffix</label>
				<input type="text" name="patientNameSuffix" value="{{$patient->name_suffix}}" class="form-control input-sm">
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Patient Dob</label>
				<input type="date" name="patientDob" value="{{$patient->dob}}" class="form-control input-sm">
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Patient Sex</label>
				<select class="form-control input-sm" name="patientSex">
					<option value="">--</option>
					<option value="M">Male</option>
					<option value="F">Female</option>
					<option value="UNKNOWN">Unknown</option>
				</select>
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Date Of Service</label>
				<input type="date" name="dateOfService" value="{{date('Y-m-d')}}" class="form-control input-sm">
			</div>
			<div class="form-group col-md-12">
				<p class="mb-1">Is Patient The Subscriber?</p>
				<label class="mr-2">
					<input type="radio" name="isPatientSubscriber" v-model="isPatientSubscriber" value="1"> Yes
				</label>
				<label class="">
					<input type="radio" name="isPatientSubscriber" v-model="isPatientSubscriber" value="0"> No
				</label>
			</div>
		</div>

		<div v-if="isPatientSubscriber == 0" class="row">
			<div class="form-group col-md-6">
				<label class="control-label">Patient Relationship To Subscriber</label>
				<select name="patientRelationshipToSubscriber" class="form-control input-sm">
					<option value="">--</option>
					<option value="SPOUSE">Spouse</option>
					<option value="CHILD">Child</option>
					<option value="EMPLOYEE">Employee</option>
					<option value="ORGAN_DONOR">Organ Donor</option>
					<option value="CADAVER_DONOR">Cadaver Donor</option>
					<option value="LIFE_PARTNER">Life Partner</option>
					<option value="OTHER_RELATIONSHIP">Other Relationship</option>
					<option value="UNKNOWN">Unknown</option>
				</select>
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Subscriber First Name</label>
				<input type="text" name="subscriberNameFirst" value="{{$patient->name_first}}" class="form-control input-sm">
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Subscriber Middle Name / MI</label>
				<input type="text" name="subscriberNameMiddle" value="{{$patient->name_middle}}" class="form-control input-sm">
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Subscriber Last Name</label>
				<input type="text" name="subscriberNameLast" value="{{$patient->name_last}}" class="form-control input-sm">
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Subscriber Suffix</label>
				<input type="text" name="subscriberNameSuffix" value="{{$patient->name_suffix}}" class="form-control input-sm">
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Subscriber Sex</label>
				<select class="form-control input-sm" name="subscriberSex">
					<option value="">--</option>
					<option value="MALE">Male</option>
					<option value="FEMALE">Female</option>
					<option value="UNKNOWN">Unknown</option>
				</select>
			</div>
			<div class="form-group col-md-6">
				<label class="control-label">Subscriber Dob</label>
				<input type="date" name="subscriberDob" value="{{$patient->dob}}" class="form-control input-sm">
			</div>
		</div>

		<div class="row">
			<div class="form-group col-md-6">
				<label class="control-label">Medicare Number</label>
				<input type="text" name="mcrNumber" class="form-control input-sm">
			</div>

			<div class="form-group col-md-6">
				<label class="control-label">Medicaid Number</label>
				<input type="text" name="mcdNumber"  class="form-control input-sm">
			</div>

			<div class="form-group col-md-12">
				<label for="" class="control-label">Medicaid Payer</label>
				<select name="mcdPayerName" id="" class="form-control input-sm">
					<option value="">--</option>
					<option>MEDICAID ALABAMA</option>
					<option>MEDICAID ALASKA</option>
					<option>MEDICAID ARIZONA</option>
					<option>MEDICAID ARKANSAS</option>
					<option>MEDICAID CALIFORNIA MEDI-CAL</option>
					<option>MEDICAID COLORADO</option>
					<option>MEDICAID CONNECTICUT</option>
					<option>MEDICAID DELAWARE</option>
					<option>MEDICAID DISTRICT OF COLUMBIA</option>
					<option>MEDICAID FLORIDA</option>
					<option>MEDICAID GEORGIA</option>
					<option>MEDICAID HAWAII</option>
					<option>MEDICAID IDAHO</option>
					<option>MEDICAID ILLINOIS</option>
					<option>MEDICAID INDIANA</option>
					<option>MEDICAID IOWA</option>
					<option>MEDICAID KANSAS</option>
					<option>MEDICAID KENTUCKY</option>
					<option>MEDICAID LOUISIANA</option>
					<option>MEDICAID MAINE</option>
					<option>MEDICAID MARYLAND</option>
					<option>MEDICAID MARYLAND DHMH</option>
					<option>MEDICAID MASSACHUSETTS</option>
					<option>MEDICAID MICHIGAN</option>
					<option>MEDICAID MINNESOTA</option>
					<option>MEDICAID MISSISSIPPI</option>
					<option>MEDICAID MISSISSIPPI</option>
					<option>MEDICAID MISSOURI</option>
					<option>MEDICAID MONTANA</option>
					<option>MEDICAID NEBRASKA</option>
					<option>MEDICAID NEVADA</option>
					<option>MEDICAID NEW HAMPSHIRE</option>
					<option>MEDICAID NEW JERSEY</option>
					<option>MEDICAID NEW MEXICO</option>
					<option>MEDICAID NEW YORK</option>
					<option>MEDICAID NEW YORK</option>
					<option>MEDICAID NORTH CAROLINA</option>
					<option>MEDICAID NORTH DAKOTA</option>
					<option>MEDICAID OHIO</option>
					<option>MEDICAID OKLAHOMA</option>
					<option>MEDICAID OREGON</option>
					<option>MEDICAID OREGON (DHS OMAP)</option>
					<option>MEDICAID PENNSYLVANIA</option>
					<option>MEDICAID RHODE ISLAND</option>
					<option>MEDICAID SOUTH CAROLINA</option>
					<option>MEDICAID SOUTH DAKOTA</option>
					<option>MEDICAID TENNESSEE</option>
					<option>MEDICAID TEXAS</option>
					<option>MEDICAID TEXAS AND TEXAS HEALTH STEPS</option>
					<option>MEDICAID UTAH</option>
					<option>MEDICAID VERMONT</option>
					<option>MEDICAID VIRGINIA</option>
					<option>MEDICAID WASHINGTON (PROVIDER ONE)</option>
					<option>MEDICAID WEST VIRGINIA</option>
					<option>MEDICAID WISCONSIN</option>
					<option>MEDICAID WYOMING</option>
				</select>
			</div>
		</div>

		<div class="form-group text-nowrap mb-0">
			<button class="btn btn-sm btn-primary" submit>Submt</button>
			<button class="btn btn-sm btn-default border" cancel>Close</button>
		</div>
	</form>
</div>

<script type="text/javascript">
	var commercialComponent = new Vue({
		el: '#commercialComponent',
		data: {
			isPatientSubscriber: 1
		}
	})
</script>
