@extends ('layouts.patient')

@section('inner-content')
<div class="d-flex align-items-baseline">
    <h4 class="font-weight-bold m-0 font-size-16 text-nowrap">Primary Coverage</h4>
    <div class="ml-4 d-inline-flex justify-content-center">
        <a native target="_blank"
            class="btn btn-sm btn-primary text-white"
           open-in-stag-popup
           mc-initer="new-coverage-form-{{$patient->uid}}"
           title="New Primary Insurance Card"
           href="/patients/view/primary-coverage-form/{{$patient->uid}}">
            + New Primary Insurance Card
        </a>
    </div>
</div>
<?php $clientPrimaryCoverage = $patient->getPrimaryCoverage(); ?>
<div class="mt-3">
    <div>
        @include('app.patient.partials.coverage-information', ['coverage' => $patient->getPrimaryCoverage()])
    </div>
</div>


@endsection
