<p class="mb-2"><b>Change Goal:</b></p>

<label class="mb-2 d-flex align-items-center">
    <input type="checkbox" data-name="active" <?= @($currentValue->active) ? 'checked' : ''?>>
    <span class="ml-2">Prescribe aerobic activities?</span>
</label>

<table if-active class="table table-sm table-bordered">
    <tbody>
    <tr class="bg-light">
        <td class="align-bottom">Activity</td>
        <td class="align-bottom">Frequency<br>(days/wk)</td>
        <td class="align-bottom">Intensity</td>
        <td class="align-bottom">Time<br>(mins/day)</td>
    </tr>
    <tr>
        <td class="text-left align-middle">
            <label class="d-flex align-items-center m-0">
                <input type="checkbox" data-name="walk->active" <?= @($currentValue->walk->active) ? 'checked' : '' ?>>
                <span class="ml-2">Walk</span>
                <img src="/img/exercise-rx/walk.png" class="icon-nutrition-rx-row-sm ml-2">
            </label>
        </td>
        <td class="p-0">
            <select if-walk-active class="form-control form-control-sm min-width-unset px-0 border-0" data-name="walk->frequency">
                <option value="">-- select --</option>
                <option value="1" <?= @($currentValue->walk->frequency) == 1 ? 'selected' : ''?>>1 day</option>
                <option value="2" <?= @($currentValue->walk->frequency) == 2 ? 'selected' : ''?>>2 days</option>
                <option value="3" <?= @($currentValue->walk->frequency) == 3 ? 'selected' : ''?>>3 days</option>
                <option value="4" <?= @($currentValue->walk->frequency) == 4 ? 'selected' : ''?>>4 days</option>
                <option value="5" <?= @($currentValue->walk->frequency) == 5 ? 'selected' : ''?>>5 days</option>
                <option value="6" <?= @($currentValue->walk->frequency) == 6 ? 'selected' : ''?>>6 days</option>
                <option value="7" <?= @($currentValue->walk->frequency) == 7 ? 'selected' : ''?>>7 days</option>
            </select>
        </td>
        <td class="p-0">
            <select if-walk-active class="form-control form-control-sm min-width-unset px-0 border-0" data-name="walk->intensity">
                <option value="">-- select --</option>
                <option value="Light" <?= @($currentValue->walk->intensity) == 'Light' ? 'selected' : ''?>>Light</option>
                <option value="Moderate" <?= @($currentValue->walk->intensity) == 'Moderate' ? 'selected' : ''?>>Moderate</option>
                <option value="Vigorous" <?= @($currentValue->walk->intensity) == 'Vigorous' ? 'selected' : ''?>>Vigorous</option>
            </select>
        </td>
        <td class="p-0">
            <input if-walk-active class="form-control form-control-sm min-width-unset px-1 border-0" type="text" data-name="walk->time" value="<?= @($currentValue->walk->time) ?>">
        </td>
    </tr>
    <tr>
        <td class="text-left align-middle">
            <label class="d-flex align-items-center m-0">
                <input type="checkbox" data-name="jog->active" <?= @($currentValue->jog->active) ? 'checked' : '' ?>>
                <span class="ml-2">Jog</span>
                <img src="/img/exercise-rx/jog.png" class="icon-nutrition-rx-row-sm ml-2">
            </label>
        </td>
        <td class="p-0">
            <select if-jog-active class="form-control form-control-sm min-width-unset px-0 border-0" data-name="jog->frequency">
                <option value="">-- select --</option>
                <option value="1" <?= @($currentValue->jog->frequency) == 1 ? 'selected' : ''?>>1 day</option>
                <option value="2" <?= @($currentValue->jog->frequency) == 2 ? 'selected' : ''?>>2 days</option>
                <option value="3" <?= @($currentValue->jog->frequency) == 3 ? 'selected' : ''?>>3 days</option>
                <option value="4" <?= @($currentValue->jog->frequency) == 4 ? 'selected' : ''?>>4 days</option>
                <option value="5" <?= @($currentValue->jog->frequency) == 5 ? 'selected' : ''?>>5 days</option>
                <option value="6" <?= @($currentValue->jog->frequency) == 6 ? 'selected' : ''?>>6 days</option>
                <option value="7" <?= @($currentValue->jog->frequency) == 7 ? 'selected' : ''?>>7 days</option>
            </select>
        </td>
        <td class="p-0">
            <select if-jog-active class="form-control form-control-sm min-width-unset px-0 border-0" data-name="jog->intensity">
                <option value="">-- select --</option>
                <option value="Light" <?= @($currentValue->jog->intensity) == 'Light' ? 'selected' : ''?>>Light</option>
                <option value="Moderate" <?= @($currentValue->jog->intensity) == 'Moderate' ? 'selected' : ''?>>Moderate</option>
                <option value="Vigorous" <?= @($currentValue->jog->intensity) == 'Vigorous' ? 'selected' : ''?>>Vigorous</option>
            </select>
        </td>
        <td class="p-0">
            <input if-jog-active class="form-control form-control-sm min-width-unset px-1 border-0" type="text" data-name="jog->time" value="<?= @($currentValue->jog->time) ?>">
        </td>
    </tr>
    <tr>
        <td class="text-left align-middle">
            <label class="d-flex align-items-center m-0">
                <input type="checkbox" data-name="elliptical->active" <?= @($currentValue->elliptical->active) ? 'checked' : '' ?>>
                <span class="ml-2">Elliptical</span>
                <img src="/img/exercise-rx/elliptical.png" class="icon-nutrition-rx-row-sm ml-2">
            </label>
        </td>
        <td class="p-0">
            <select if-elliptical-active class="form-control form-control-sm min-width-unset px-0 border-0" data-name="elliptical->frequency">
                <option value="">-- select --</option>
                <option value="1" <?= @($currentValue->elliptical->frequency) == 1 ? 'selected' : ''?>>1 day</option>
                <option value="2" <?= @($currentValue->elliptical->frequency) == 2 ? 'selected' : ''?>>2 days</option>
                <option value="3" <?= @($currentValue->elliptical->frequency) == 3 ? 'selected' : ''?>>3 days</option>
                <option value="4" <?= @($currentValue->elliptical->frequency) == 4 ? 'selected' : ''?>>4 days</option>
                <option value="5" <?= @($currentValue->elliptical->frequency) == 5 ? 'selected' : ''?>>5 days</option>
                <option value="6" <?= @($currentValue->elliptical->frequency) == 6 ? 'selected' : ''?>>6 days</option>
                <option value="7" <?= @($currentValue->elliptical->frequency) == 7 ? 'selected' : ''?>>7 days</option>
            </select>
        </td>
        <td class="p-0">
            <select if-elliptical-active class="form-control form-control-sm min-width-unset px-0 border-0" data-name="elliptical->intensity">
                <option value="">-- select --</option>
                <option value="Light" <?= @($currentValue->elliptical->intensity) == 'Light' ? 'selected' : ''?>>Light</option>
                <option value="Moderate" <?= @($currentValue->elliptical->intensity) == 'Moderate' ? 'selected' : ''?>>Moderate</option>
                <option value="Vigorous" <?= @($currentValue->elliptical->intensity) == 'Vigorous' ? 'selected' : ''?>>Vigorous</option>
            </select>
        </td>
        <td class="p-0">
            <input if-elliptical-active class="form-control form-control-sm min-width-unset px-1 border-0" type="text" data-name="elliptical->time" value="<?= @($currentValue->elliptical->time) ?>">
        </td>
    </tr>
    <tr>
        <td class="text-left align-middle">
            <label class="d-flex align-items-center m-0">
                <input type="checkbox" data-name="swim->active" <?= @($currentValue->swim->active) ? 'checked' : '' ?>>
                <span class="ml-2">Swim</span>
                <img src="/img/exercise-rx/swim.png" class="icon-nutrition-rx-row-sm ml-2">
            </label>
        </td>
        <td class="p-0">
            <select if-swim-active class="form-control form-control-sm min-width-unset px-0 border-0" data-name="swim->frequency">
                <option value="">-- select --</option>
                <option value="1" <?= @($currentValue->swim->frequency) == 1 ? 'selected' : ''?>>1 day</option>
                <option value="2" <?= @($currentValue->swim->frequency) == 2 ? 'selected' : ''?>>2 days</option>
                <option value="3" <?= @($currentValue->swim->frequency) == 3 ? 'selected' : ''?>>3 days</option>
                <option value="4" <?= @($currentValue->swim->frequency) == 4 ? 'selected' : ''?>>4 days</option>
                <option value="5" <?= @($currentValue->swim->frequency) == 5 ? 'selected' : ''?>>5 days</option>
                <option value="6" <?= @($currentValue->swim->frequency) == 6 ? 'selected' : ''?>>6 days</option>
                <option value="7" <?= @($currentValue->swim->frequency) == 7 ? 'selected' : ''?>>7 days</option>
            </select>
        </td>
        <td class="p-0">
            <select if-swim-active class="form-control form-control-sm min-width-unset px-0 border-0" data-name="swim->intensity">
                <option value="">-- select --</option>
                <option value="Light" <?= @($currentValue->swim->intensity) == 'Light' ? 'selected' : ''?>>Light</option>
                <option value="Moderate" <?= @($currentValue->swim->intensity) == 'Moderate' ? 'selected' : ''?>>Moderate</option>
                <option value="Vigorous" <?= @($currentValue->swim->intensity) == 'Vigorous' ? 'selected' : ''?>>Vigorous</option>
            </select>
        </td>
        <td class="p-0">
            <input if-swim-active class="form-control form-control-sm min-width-unset px-1 border-0" type="text" data-name="swim->time" value="<?= @($currentValue->swim->time) ?>">
        </td>
    </tr>
    <tr>
        <td class="text-left align-middle">
            <label class="d-flex align-items-center m-0">
                <input type="checkbox" data-name="bike->active" <?= @($currentValue->bike->active) ? 'checked' : '' ?>>
                <span class="ml-2">Bike</span>
                <img src="/img/exercise-rx/bike.png" class="icon-nutrition-rx-row-sm ml-2">
            </label>
        </td>
        <td class="p-0">
            <select if-bike-active class="form-control form-control-sm min-width-unset px-0 border-0" data-name="bike->frequency">
                <option value="">-- select --</option>
                <option value="1" <?= @($currentValue->bike->frequency) == 1 ? 'selected' : ''?>>1 day</option>
                <option value="2" <?= @($currentValue->bike->frequency) == 2 ? 'selected' : ''?>>2 days</option>
                <option value="3" <?= @($currentValue->bike->frequency) == 3 ? 'selected' : ''?>>3 days</option>
                <option value="4" <?= @($currentValue->bike->frequency) == 4 ? 'selected' : ''?>>4 days</option>
                <option value="5" <?= @($currentValue->bike->frequency) == 5 ? 'selected' : ''?>>5 days</option>
                <option value="6" <?= @($currentValue->bike->frequency) == 6 ? 'selected' : ''?>>6 days</option>
                <option value="7" <?= @($currentValue->bike->frequency) == 7 ? 'selected' : ''?>>7 days</option>
            </select>
        </td>
        <td class="p-0">
            <select if-bike-active class="form-control form-control-sm min-width-unset px-0 border-0" data-name="bike->intensity">
                <option value="">-- select --</option>
                <option value="Light" <?= @($currentValue->bike->intensity) == 'Light' ? 'selected' : ''?>>Light</option>
                <option value="Moderate" <?= @($currentValue->bike->intensity) == 'Moderate' ? 'selected' : ''?>>Moderate</option>
                <option value="Vigorous" <?= @($currentValue->bike->intensity) == 'Vigorous' ? 'selected' : ''?>>Vigorous</option>
            </select>
        </td>
        <td class="p-0">
            <input if-bike-active class="form-control form-control-sm min-width-unset px-1 border-0" type="text" data-name="bike->time" value="<?= @($currentValue->bike->time) ?>">
        </td>
    </tr>
    </tbody>
</table>

<div class="mb-2">
    <label for="" class="mb-1">Memo</label>
    <div note-rte slim-rte
         class="form-group mb-2 border-left border-right rte-holder"
         data-container-name="<?= $point ? 'data' : 'childPlanData' ?>"
         data-field-name="memo"><?= @($currentValue->memo) ?></div>
</div>
