<?php if ($point->lastChildPlan): ?>
    <?php $parsedPlan = json_decode($point->lastChildPlan->data); ?>
    <div class="<?= !@$flat && $point->last_child_plan_point_scoped_note_id === $note->id ? 'bg-warning-mellow p-2 rounded' : '' ?>">
        <div class="inline-html-container"><?= $parsedPlan->value ?></div>
        <div class="text-secondary text-sm"></div>
        <span class="screen-only">
        <?php if ($point->last_child_plan_point_scoped_note_id === $patient->core_note_id): ?>
            <span class="text-sm">(updated on the patient's chart)</span>
        <?php else: ?>
            <?php if ($point->last_child_plan_point_scoped_note_id === $note->id): ?>
                <span class="text-sm">(updated on this note)</span>
            <?php else: ?>
                <?php if(!@$summaryView): ?>
                    <div class="d-inline position-relative on-click-menu">
                        <span class="text-sm text-primary c-pointer">
                            <?= relative_friendly_date($point->last_child_plan_effective_date) ?>
                            <?php if($point->lastChildPlan->creatorPro): ?>
                                by <?= $point->lastChildPlan->creatorPro->displayName() ?>
                            <?php endif; ?>
                        </span>
                        <div menu right class="bg-white border">
                            <a native target="_blank"
                               href="<?= route('patients.view.notes.view.dashboard', ['patient' => $patient, 'note' => $point->lastChildPlanNote]) ?>"
                               class="px-2 py-1 d-block text-nowrap text-sm">Go to note</a>
                        </div>
                    </div>
                <?php else: ?>
                    <span class="text-sm text-secondary">
                        <?= relative_friendly_date($point->last_child_plan_effective_date) ?>
                        <?php if($point->lastChildPlan->creatorPro): ?>
                            by <?= $point->lastChildPlan->creatorPro->displayName() ?>
                        <?php endif; ?>
                    </span>
                <?php endif; ?>
            <?php endif; ?>
        <?php endif; ?>
        </span>
    </div>
<?php else: ?>
    <span class="text-secondary text-sm">-</span>
<?php endif; ?>
