<?php
$currentValue = '';
$previousValue = '';
$previousChildPlan = null;
if (@$point) {
    if ($point->lastChildPlan && $point->last_child_plan_point_scoped_note_id === $note->id) {
        $parsedPlan = json_decode($point->lastChildPlan->data);
        if(@$parsedPlan->value) {
            $currentValue = $parsedPlan->value;
            $previousChildPlan = \App\Models\Point::where('id', '<', $point->lastChildPlan->id)
                ->where('category', 'PLAN')
                ->where('parent_point_id', $point->id)
                ->orderBy('id', 'DESC')
                ->first();
            if($previousChildPlan && $previousChildPlan->data) {
                $parsedPlan = json_decode($previousChildPlan->data);
                $previousValue = $parsedPlan->value;
            }
        }
    }
    else {
        $previousChildPlan = \App\Models\Point::where('parent_point_id', $point->id)
            ->where('category', 'PLAN')
            ->orderBy('id', 'DESC')
            ->first();
        if($previousChildPlan && $previousChildPlan->data) {
            $parsedPlan = json_decode($previousChildPlan->data);
            if(@$parsedPlan->value) {
                $previousValue = $parsedPlan->value;
            }
        }
    }
}
?>
<div visit-moe wide class="d-block">
    <?php if($point): ?>
        <form show url="/api/visitPoint/upsertChildPlan" class="mcp-theme-1 w-100 frm-upsert-review-plan-nutrition" left>
            <input type="hidden" name="uid" value="<?= $point->uid ?>">
            <input type="hidden" name="segmentUid" value="<?= $segment->uid ?>">
            <input type="hidden" name="data">



            <?php if($previousValue): ?>
                <div class="mb-2">
                    <div class="d-flex align-items-baseline mb-1">
                        <span class="text-sm text-secondary">Previous Plan / <?= friendlier_date($previousChildPlan->created_at) ?> (click to copy)</span>
                    </div>
                    <div class="p-1 bg-light border inline-html-container click-to-copy"><?= $previousValue ?></div>
                </div>
            <?php endif; ?>

            <p class="mb-2"><b>Change goal:</b></p>

            <div class="mb-2">
                <div note-rte slim-rte
                     class="form-group mb-2 border-left border-right rte-holder"
                     data-field-name="value"><?= $currentValue ?></div>
            </div>
        </form>
    <?php else: ?>

    <?php endif; ?>
</div>
<?php if(!empty($currentValue)): ?>
    <div visit-moe relative class="d-block">
        <a start show href="#" class="px-1 text-left" title="Delete Plan">
            Delete Plan
        </a>
        <form url="/api/visitPoint/destroyCurrentChildPlan" class="mcp-theme-1">
            <input type="hidden" name="uid" value="<?= $point->uid ?>">

            <p class="mb-2">Delete this plan?</p>

            <div>
                <button submit class="btn btn-sm btn-danger mr-2">Delete</button>
                <button cancel class="btn btn-sm btn-default border">Cancel</button>
            </div>
        </form>
    </div>
<?php endif; ?>

