<p class="mb-2"><b>Current</b></p>

<div class="mb-2 d-block d-md-flex align-items-center">
    <label class="my-0 mr-2">Current number of weigh-ins per week:</label>
    <input type="text" data-name="weighInsPerWeek" class="form-control form-control-sm min-width-unset width-100px" value="<?= @($currentValue->weighInsPerWeek) ?>">
</div>

<div class="mb-2">
    <label class="mb-2 font-weight-bold text-secondary">Currently tracking:</label>
    <div class="row mb-1">
        <div class="col-md-4">
            <label class="d-flex align-items-center mb-1">
                <input type="checkbox" data-name="tracking->calorieIntake" <?= @($currentValue->tracking->calorieIntake) ? 'checked' : ''?>>
                <span class="ml-2">Calorie Intake</span>
            </label>
        </div>
        <div class="col-md-4">
            <label class="d-flex align-items-center mb-1">
                <input type="checkbox" data-name="tracking->dailyCarbIntake" <?= @($currentValue->tracking->dailyCarbIntake) ? 'checked' : ''?>>
                <span class="ml-2">Daily Carb Intake</span>
            </label>
        </div>
        <div class="col-md-4">
            <label class="d-flex align-items-center mb-1">
                <input type="checkbox" data-name="tracking->portionSize" <?= @($currentValue->tracking->portionSize) ? 'checked' : ''?>>
                <span class="ml-2">Portion Size</span>
            </label>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4">
            <label class="d-flex align-items-center mb-1">
                <input type="checkbox" data-name="tracking->eatingSpeed" <?= @($currentValue->tracking->eatingSpeed) ? 'checked' : ''?>>
                <span class="ml-2">Eating Speed</span>
            </label>
        </div>
        <div class="col-md-8">
            <label class="d-flex align-items-center mb-1">
                <input type="checkbox" data-name="tracking->other" <?= @($currentValue->tracking->other) ? 'checked' : ''?>>
                <span class="ml-2">Other</span>
                <input if-tracking-other type="text" class="form-control form-control-sm min-width-unset flex-grow-1 ml-2" data-name="tracking->otherDetail" value="<?= @($currentValue->tracking->otherDetail) ?>">
            </label>
        </div>
    </div>
</div>

<div class="mb-2">
    <label class="mb-2 font-weight-bold text-secondary">Current food monitoring:</label>
    <div class="row">
        <div class="col-md-4">
            <label class="d-flex align-items-center mb-1">
                <input type="checkbox" data-name="foodMonitoring->phoneTracker" <?= @($currentValue->foodMonitoring->phoneTracker) ? 'checked' : ''?>>
                <img src="/img/behavior-rx/phone-tracker.png" class="icon-nutrition-rx-md mx-2">
                <span class="">Phone Tracker</span>
            </label>
        </div>
        <div class="col-md-4">
            <label class="d-flex align-items-center mb-1">
                <input type="checkbox" data-name="foodMonitoring->dailyFoodLog" <?= @($currentValue->foodMonitoring->dailyFoodLog) ? 'checked' : ''?>>
                <img src="/img/behavior-rx/food-log.png" class="icon-nutrition-rx-md mx-2">
                <span class="">Daily Food Log</span>
            </label>
        </div>
    </div>
</div>

<div class="mb-2">
    <label for="" class="mb-1">Memo</label>
    <div note-rte slim-rte
         class="form-group mb-2 border-left border-right rte-holder"
         data-container-name="<?= $point ? 'data' : 'childReviewData' ?>"
         data-field-name="memo"><?= @($currentValue->memo) ?></div>
</div>
