<p class="mb-2"><b>Current Strength Training</b></p>

<label class="mb-2 d-flex align-items-center">
    <input type="checkbox" data-name="active" <?= @($currentValue->active) ? 'checked' : ''?>>
    <span class="ml-2">Currently doing strength training?</span>
</label>

<div if-active>
    <label class="mb-2 d-flex align-items-baseline">
        <input type="checkbox" data-name="muscleStrengthening" <?= @($currentValue->muscleStrengthening) ? 'checked' : ''?>>
        <span class="ml-2">Currently doing muscle strengthening exercises on moderate or greater intensity at least two days per week</span>
    </label>
    <label class="mb-2 d-flex align-items-baseline">
        <input type="checkbox" data-name="allMajorMuscleGroups" <?= @($currentValue->allMajorMuscleGroups) ? 'checked' : ''?>>
        <span class="ml-2">Currently doing exercises to strengthen all major muscle groups: legs, hips, back, chest, abdomen, shoulders and arms</span>
    </label>
    <div class="row mb-2">
        <div class="col-6">
            <label class="mb-1">Number of sets for each exercise</label>
            <input type="text" data-name="sets" class="form-control form-control-sm" value="<?= @($currentValue->sets) ?>">
        </div>
        <div class="col-6">
            <label class="mb-1">Number of repetitions per set</label>
            <input type="text" data-name="reps" class="form-control form-control-sm" value="<?= @($currentValue->reps) ?>">
        </div>
    </div>
    <label class="mb-2 d-flex align-items-baseline">
        <input type="checkbox" data-name="resistanceBandsBodyWeight" <?= @($currentValue->resistanceBandsBodyWeight) ? 'checked' : ''?>>
        <span class="ml-2">Currently using resistance bands or using body weight to do exercises</span>
    </label>
</div>

<div class="mb-2">
    <label for="" class="mb-1">Memo</label>
    <div note-rte slim-rte
         class="form-group mb-2 border-left border-right rte-holder"
         data-container-name="<?= $point ? 'data' : 'childReviewData' ?>"
         data-field-name="memo"><?= @($currentValue->memo) ?></div>
</div>
