<div visit-moe large class="d-inline">
    <a start show href="#" class="px-1 text-center d-block text-secondary on-hover-opaque" title="<?= $currentChildReview ? 'Edit Subjective' : 'Add Subjective'?>">
        <i class="fa <?= $currentChildReview ? 'fa-pencil-alt' : 'fa-plus-square'?>"></i>
    </a>
    <form url="/api/visitPoint/upsertChildReview" class="mcp-theme-1 w-100" left>
        <input type="hidden" name="uid" value="<?= $point->uid ?>">
        <input type="hidden" name="segmentUid" value="<?= $segment->uid ?>">
        <input type="hidden" name="data">

        <p class="mb-2"><b>Subjective</b></p>

        <div class="mb-2">
            <label class="text-sm mb-0 font-weight-bold text-secondary">Frequency</label>
            <input type="text"
                   data-name="value"
                   value="<?= @($currentChildReview->data->value) ? trim(strip_tags($currentChildReview->data->value)) : (@($previousChildReview->data->value) ? trim(strip_tags($previousChildReview->data->value)) : '') ?>"
                   class="form-control form-control-sm min-width-unset">
        </div>
        <div class="mb-2">
            <label class="text-sm mb-0 font-weight-bold text-secondary">Experience</label>
            <input type="text"
                   data-name="experience"
                   value="<?= @($currentChildReview->data->experience) ? trim(strip_tags($currentChildReview->data->experience)) : (@($previousChildReview->data->experience) ? trim(strip_tags($previousChildReview->data->experience)) : '') ?>"
                   class="form-control form-control-sm min-width-unset">
        </div>

        <div>
            <button submit class="btn btn-sm btn-primary mr-2"><i class="fa fa-save"></i></button>
            <button cancel class="btn btn-sm btn-default border">Cancel</button>
        </div>
    </form>
</div>
<?php if($currentChildReview): ?>
    <div visit-moe relative class="d-inline">
        <a start show href="#" class="px-1 text-center d-block" title="Undo Changes">
            <i class="fa fa-trash-alt text-secondary on-hover-opaque"></i>
        </a>
        <form url="/api/visitPoint/destroyCurrentChildReview" class="mcp-theme-1" right>
            <input type="hidden" name="uid" value="<?= $point->uid ?>">

            <p class="mb-2">Undo Changes?</p>

            <div>
                <button submit class="btn btn-sm btn-danger mr-2">Delete</button>
                <button cancel class="btn btn-sm btn-default border">Cancel</button>
            </div>
        </form>
    </div>
<?php endif; ?>

