<div class="px-3 pt-3 pb-2 border-top" v-if="<?=$category?>PopupMode === 'edit'">
    <div class="row mb-2">
        <div class="col-12">
            <label class="text-secondary mb-0 font-weight-normal font-size-16 d-flex align-items-center">
                Ticket Faxes
                (<span v-if="!loadingFaxes" v-html="faxes && faxes.length ? faxes.length : '0'"></span>)
            </label>
        </div>
    </div>
    <div v-if="!loadingFaxes && faxes && faxes.length" class="py-2">
        <div v-for="(fax) in faxes" class="d-flex align-items-start pb-2">
            <div class="flex-grow-1">Sent to
                <span class="text-info" v-html="fax.to_fax_number"></span>
                on
                <span class="font-weight-bold text-secondary" v-html="fax.sent_at"></span></div>
            <a class="pdf-viewer-trigger ml-auto" native target="_blank"
               :href="'/api/ticketFax/download/' + fax.uid"
               title="View">
                View Fax
            </a>
        </div>
    </div>
</div>
