<div class="p-3 border-bottom">
    <div class="row mb-2">
        <div class="col-12">
            <label class="text-secondary mb-0 font-weight-normal font-size-16">Preferred {{$label}}</label>
        </div>
    </div>
    <div class="row mb-2">
        <div class="col-12">
            <label class="text-sm text-secondary mb-1">Business Name <b class="text-sm">(fields marked <span class="text-sm text-info font-weight-bold">#</span> will be used to narrow down results)</b></label>
            <input type="text" autocomplete="donotdoit" placeholder="Business Name" id="{{$category}}-pharmacy-search" v-model="{{$category}}PopupItem.data.pharmacyName" class="form-control form-control-sm">
            <div class="suggestions-outer pharmacy-suggestions {{$category}}-pharmacy-suggestions position-absolute d-none"></div>
        </div>
    </div>
    <div class="row mb-2">
        <div class="col-4">
            <label class="text-sm text-secondary mb-1">City <span class="text-sm text-info font-weight-bold">#</span></label>
            <input type="text" placeholder="City" v-model="{{$category}}PopupItem.data.pharmacyCity"
                   id="{{$category}}-pharmacy-search-city"
                   class="form-control form-control-sm min-width-unset">
        </div>
        <div class="col-4 pl-0">
            <label class="text-sm text-secondary mb-1">State <span class="text-sm text-info font-weight-bold">#</span></label>
            <input type="text" placeholder="State" v-model="{{$category}}PopupItem.data.pharmacyState"
                   id="{{$category}}-pharmacy-search-state"
                   class="form-control form-control-sm min-width-unset">
        </div>
        <div class="col-4 pl-0">
            <label class="text-sm text-secondary mb-1">ZIP <span class="text-sm text-info font-weight-bold">#</span></label>
            <input type="text" placeholder="Zip" v-model="{{$category}}PopupItem.data.pharmacyZip"
                   id="{{$category}}-pharmacy-search-zip"
                   class="form-control form-control-sm min-width-unset">
        </div>
    </div>
    <div class="row mb-2">
        <div class="col-4">
            <label class="text-sm text-secondary mb-1">Phone</label>
            <input type="text" placeholder="Phone" v-model="{{$category}}PopupItem.data.pharmacyPhone" class="form-control form-control-sm min-width-unset">
        </div>
        <div class="col-4 pl-0">
            <label class="text-sm text-secondary mb-1">Fax</label>
            <input type="text" placeholder="Fax" v-model="{{$category}}PopupItem.data.pharmacyFax" class="form-control form-control-sm min-width-unset">
        </div>
    </div>
    <div class="row mb-2">
        <div class="col-12">
            <label class="text-sm text-secondary mb-1">Address Memo</label>
            <input type="text" placeholder="Address Memo" autocomplete="donotdoit" v-model="{{$category}}PopupItem.data.pharmacyAddressMemo" class="form-control form-control-sm">
        </div>
    </div>
</div>
