<table class="table table-sm table-condensed mb-0 table-bordered">
    <thead>
    <tr class="bg-light">
        <th class="border-0 width-100px">CPT</th>
        <th class="border-0 width-100px">Modifier</th>
        <th class="border-0 width-100px">DOS</th>
        <th class="border-0 width-100px">Amount</th>
        <th class="border-0 width-100px">POS</th>
        <th class="border-0 text-nowrap">ICDs</th>
    </tr>
    </thead>
    <tbody>
    @foreach($claim->lines as $line)
        <tr class="claim-line">
            <td class="width-100px"><span class="click-to-copy" title="Click to copy">{{$line->cpt}}</span>
                <div>Units: <b><span class="click-to-copy" title="Click to copy">{{!@$line->units ? 1 : $line->units}}</span></b></div>
            </td>
            <td class="text-nowrap width-100px"><span class="click-to-copy" title="Click to copy">95</span></td>
            <td class="text-nowrap width-100px"><span class="click-to-copy" title="Click to copy">{{friendlier_date($line->date_of_service)}}</span></td>
            <td class="text-nowrap width-100px">$ <span class="click-to-copy" title="Click to copy">{{round($line->expected_total, 3)}}</span></td>
            <td class="text-nowrap width-100px"><span class="click-to-copy" title="Click to copy">11</span></td>
            <td class="">
                @if(count($line->claimLineIcds))
                    @foreach($line->claimLineIcds as $icd)
                        <span class="c-pointer border-secondary border-bottom mr-2" title="{{$icd->description}}"><span class="click-to-copy" title="Click to copy">{{$icd->code}}</span></span>
                    @endforeach
                @else
                    <p>No ICDs set</p>
                @endif
            </td>
        </tr>
    @endforeach
    </tbody>
</table>