<table class="table table-sm m-0 text-sm">
    <tr>
        <td class="width-70px">{{friendly_date($cpc->created_at)}}</td>
        <td class="width-70px">{{$cpc->plan_type}}</td>
        <td>
            <!--NEW
AUTO_REFRESH
MANUAL_DETERMINATION-->
            @if($cpc->plan_type === 'MEDICARE')
                @if($cpc->creation_strategy === 'AUTO_REFRESH')
                    <span class="text-secondary">Part B Primary:</span> {{@$cpc->auto_medicare_is_partbprimary ?: '-'}}<br>
                    <span class="text-secondary">Part B Active:</span> {{@$cpc->auto_medicare_is_partbactive ?: '-'}}<br>
                    <span class="text-secondary">Part C Active:</span> {{@$cpc->auto_medicare_is_partcactive ?: '-'}}
                @elseif($cpc->creation_strategy === 'MANUAL_DETERMINATION')
                    <span class="text-secondary">Manual Determination:</span> {{$cpc->manual_determination_category}}<br>
                    <span class="text-secondary">Part B Primary:</span> {{@$cpc->is_partbprimary ?: '-'}}
                @elseif($cpc->creation_strategy === 'NEW')
                @endif
            @elseif($cpc->plan_type === 'MEDICAID')
            @elseif($cpc->plan_type === 'COMMERCIAL')
                <span class="text-secondary">Manual Determination:</span> {{$cpc->manual_determination_category}}<br>
                @if(@$cpc->lmcpc_payer && @$cpc->lmcpc_payer->name)
                    <span class="text-secondary">Payer:</span> {{@$cpc->lmcpc_payer->name}}<br>
                @endif
                <span class="text-secondary">Member ID:</span> {{@$cpc->commercial_member_identifier ?: '-'}}<br>
                <span class="text-secondary">Group #:</span> {{@$cpc->commercial_group_number ?: '-'}}
            @endif
        </td>
    </tr>
</table>