@extends ('layouts/template')
@section('content')
    <div class="p-3 mcp-theme-1">
        <div class="card">
            <div class="card-header">
                <div class="d-flex align-items-center justify-content-between">
                    <div class="d-flex align-items-center">
                        <div class="mr-3">
                            <span>Tree Name:</span>
                            <span class="font-weight-bold">{{ $statTreeLine->statTree->name }}</span>
                        </div>
                        <div class="mr-3">
                            <span>Tree Model:</span>
                            <span class="font-weight-bold">{{ $statTreeLine->statTree->model }}</span>
                        </div>
                        <div class="mr-3">
                            <span>Tree Slug:</span>
                            <span class="font-weight-bold">{{ $statTreeLine->statTree->slug }}</span>
                        </div>
                    </div>
                    <div>
                        <a href="{{ route('practice-management.statTrees.view.dashboard', $statTreeLine->statTree) }}" class="btn btn-sm btn-primary text-white"><i class="fas fa-network-wired"></i> View Tree</a>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="border p-3 mb-3">
                <span> SELECT COUNT(*) FROM {{ $statTreeLine->statTree->model }} WHERE
                            @foreach($statTreeLine->lineClauses as $c)
                            {{ $c->clause->clause_text ?? '' }} @if(!$loop->last) AND @endif
                            @endforeach</span>
                </div>
                <?php dump($response); ?>
            </div>
        </div>
    </div>

@endsection