<section style="padding-top: 0.1rem;">

    <table cellpadding="0" cellspacing="0" border="0" style="width: 100%">
        <tr>
            <td style="width: 70%">
                <b>Patient Information</b>
            </td>
            <td style="">
                <div style="text-align: right">Date: <b>{{date('Y-m-d')}}</b></div>
            </td>
        </tr>
    </table>

    <div style="font-size: 14px; margin-top: 0.6rem; line-height: 1.4; opacity: 0.6">
        <span>{{ $patient->displayName() }}, {{$patient->sex}}, {{$patient->age_in_years}} years old</span><br>
        <?php
        $addressParts = [];
        if (!!$patient->mailing_address_line1) $addressParts[] = $patient->mailing_address_line1;
        if (!!$patient->mailing_address_line2) $addressParts[] = $patient->mailing_address_line2;
        $addressParts = implode(", ", $addressParts) . ", ";
        $addressPart2 = [];
        if (!!$patient->mailing_address_city) $addressPart2[] = $patient->mailing_address_city;
        if (!!$patient->mailing_address_state) $addressPart2[] = $patient->mailing_address_state;
        $addressParts .= implode(", ", $addressPart2);
        ?>
        <span>{!! $addressParts !!}</span>
    </div>
</section>

<?php $otherData = json_decode($ticket->data); ?>
<div style="margin: 1.5rem 0 1rem; font-weight: bold; opacity: 0.5">&nbsp;</div>
<section style="font-size: 15px;">
    <table cellpadding="0" cellspacing="0" border="0" style="width: 100%">
        <tr>
            <td style="width: 20px; vertical-align: top; opacity: 0.75; font-size: 14px">
                <span>1. </span>
            </td>
            <td style="vertical-align: top">
                <div>
                    <p style="margin: 0 0 0.5rem;">
                        <b>{{ $otherData->title }}</b>
                    </p>
                    <div style="">
                        @if($otherData->description)
                            <p style="margin: 0.5rem 0;">{{ $otherData->description }}</p>
                        @endif
                    </div>
                </div>
            </td>
        </tr>
    </table>
</section>
