<div style="padding:15px 15px;font-family:sans-serif;font-size:15px;text-align:justify;">
    <h2 style="margin-bottom:2px;">
        <strong>
        <center><u>AUTHORIZATION LETTER</u></center>
        </strong>
    </h2>
    <br>
    <br>
    <p style="line-height:25px;">To whom it may concern:</p>
    <br>
    <p style="line-height:25px;">I, {Your Name}, a healthcare professional with NPI number {@NPI Number}, authorize Shalin Shah of
        {@Practice Name} and/or his/her successor (“Authorized Person”) to sign and act on my behalf and take
        all related actions to:</p>

    <ol>
        <li style="margin-bottom:10px;line-height:25px;">Filing and signing credentialing and enrollment applications with healthcare insurance carriers including Medicare, Medicaid, and commercial payors.</li>
        <li style="margin-bottom:10px;line-height:25px;">Negotiating and signing contracts with health insurance companies</li>
        <li style="margin-bottom:10px;line-height:25px;">CAQH maintenance and attestations</li>
        <li style="margin-bottom:10px;line-height:25px;">Contacting licensing boards on my behalf for licensing matters</li>
        <li style="margin-bottom:10px;line-height:25px;">NPPES maintenance</li>
        <li style="margin-bottom:10px;line-height:25px;">Creating and managing health insurance portals for credentialing, enrollments, and billing matters.</li>
    </ol>

    <p style="line-height:25px;">I hereby authorize Authorized Person to sign on my behalf using digital signature, signature stamp, or similar mechanical/electronic signature for these enumerated purposes.
        This authorization will remain in effect for the duration of my engagement with {@Practice Name} as a healthcare
        provider/practitioner. </p>

    <p style="line-height:25px;">In order for {@Practice Name} to access and verify my educational background, professional qualifications and
        suitability for appointment, I also hereby authorize Authorized Person to make inquiries and consult with all
        persons, places of employment, education, malpractice carriers, state licensing boards, or other similar
        government and non-governmental entities who have or may have information bearing on my moral, ethical and
        professional qualifications and competence to carry out the privileges I have requested.</p>

    <p style="line-height:25px;">In case of any questions related to this Authorization Letter, feel free to contact me at <span style="padding-left:5px;">{Your Phone Number}</span> or
        email me at {Your Email Address}.</p>

    <br>

    <p>Sincerely,</p>
    <br>
    <p style="padding-left: 4px"><img src="{company_pro_document.pro_signatures}" style="max-height: 60px"></p>
    <p>
        {Your Name} <br> <br>
        {Your Mailing Address} <br> <br>
        Date: {company_pro_document.pro_signed_at}
    </p>
</div>
