<div style="padding:0 15px;font-family:sans-serif;font-size: 15px;text-align:justify;">
    <h2><strong>
            <center><u>{company.name}</u></center>
        </strong></h2>
    <h3><strong>
            <center><u>NON-DISCLOSURE AGREEMENT</u></center>
        </strong></h3>

    <p style="line-height:30px;">This Non-Disclosure Agreement ("Agreement") is made as of {company_pro_document.created_at} (the "Effective
        Date") between <b>{company.name}</b>, a {company.state} {company.entity_type} (the "Company"), and {Your Legal Name}
        ("Recipient") with a mailing address at {Your Mailing Address}.</p>

    <br>
    <h4><strong>
            <center>RECITALS</center>
        </strong></h4>

    <p style="text-indent: 40px;line-height:30px;">The Company is engaged in the business of the management and administration of
        companies that furnish the Wellness Services. As a part of the business, Company is a provider of the revenue
        cycle management service, case management, care coordination service, remote monitoring and other wellness
        related services to their clients. Company design, develop, purchase, use and/or subscribe to the electronic
        health record system (the "Platform"). Company handles protected health information (PHI) that is legally
        designated as confidential under the Health Insurance Portability and Accountability Act of 1996 ("HIPAA"). The
        Company desires to engage in discussions with Recipient for the purpose of exploring a commercial business
        relationship whereby Recipient would serve as a resource to the Company and, in connection with such discussions
        and engagement, there must be certain information disclosed by the Company, including without limitation,
        confidential information, patient data, business practices, and financial data. Recipient recognizes that the
        information to be disclosed by the Company constitutes highly confidential information of the Company and its
        clients, and Recipient enters into this Agreement to provide protection for such information so disclosed.</p>

    <br>
    <h4><strong>
            <center>AGREEMENT</center>
        </strong></h4>

    <ol>
        <li style="line-height:30px;margin-bottom:10px;">
            <p style="line-height:30px;"><b>"Confidential Information"</b>. shall mean information designated by the Company as confidential or
                which ought to be considered as confidential from its nature or from the circumstances surrounding its
                disclosure. Regardless of whether such information is specifically designated as confidential,
                Confidential Information includes all technical, business, marketing, planning, and other similar
                information and data, in written, oral, electronic, magnetic, photographic and/or other forms, including
                without limitation all information related to (i) customers or prospective customers, licensors,
                providers, suppliers, channel partners, resellers and other business affiliates of the Company; (ii)
                practices, operating information, and market approaches of the Company; (iii) other information,
                functionality, techniques, models or approaches used by the Company and not generally known in the
                industry in which the Company operates; (iv) any and all product or technical data, trade secrets,
                information, design, process, procedure, prototypes, formula, or improvement that is owned, developed or
                licensed by the Company, its stockholders or affiliates and not generally known or readily available
                without cost in the industry, including, but not limited to, any code or design of the Company's
                products, and the algorithms or logic contained therein.</p>
        </li>
        <li style="line-height:30px;margin-bottom:10px;">
            <p style="line-height:30px;">Recipient agrees that all Confidential Information is and shall remain the exclusive property of the
                Company, and that Recipient shall not use Confidential Information except for the specific purpose
                described above in the Recitals.</p>
        </li>
        <li style="line-height:30px;margin-bottom:10px;">
            <p style="line-height:30px;">Recipient agrees to hold the Company's Confidential Information in strict confidence following the date
                of disclosure, using for such purpose, best efforts to protect the Confidential Information from
                disclosure, unauthorized use, and loss. Further, Recipient agrees not to disclose such Confidential
                Information to third parties without the prior written permission of the Company. In the event of
                disclosure, unauthorized use, or loss of Confidential Information, Recipient shall notify the Company
                promptly. Recipient shall not be restricted from disclosing Confidential Information pursuant to the
                requirements of law, or a judicial or governmental order or request, but any such disclosure shall be
                made only to the extent required by law or so ordered. Recipient shall, at the Company's sole expense,
                take all reasonable steps to object to the production of the Confidential Information and shall
                reasonably cooperate with the Company should it seek to intervene.</p>
        </li>


        <li style="line-height:30px;margin-bottom:10px;">
            <p style="line-height:30px;">Confidential Information shall in no event include information which (a) Recipient can demonstrate was
                already known to Recipient at the time that it is disclosed to Recipient; (b) is or becomes publicly
                known through no wrongful act of Recipient; (c) is received by Recipient from a third party without
                breach by such party of confidentiality or non-disclosure covenants to which it is subject pursuant to
                any agreement; or (d) is approved for release by written authorization of the Company.</p>
        </li>
        <li style="line-height:30px;margin-bottom:10px;">
            <p style="line-height:30px;">No license is granted by the Company to Recipient under any copyright, patent, mask work or trademark
                owned by or licensed to the Company except to the extent required by Recipient for the specific purpose
                intended by this Agreement. Any use by Recipient of any information furnished by the Company, whether or
                not Confidential Information, will subject Recipient to any rights and remedies available to the Company
                under the copyright, patent, trade secret and trademark laws in effect at that time.</p>
        </li>
        <li style="line-height:30px;margin-bottom:10px;">
            <p style="line-height:30px;">Recipient shall not decompile or disassemble any software, equipment or other media containing
                Confidential Information, which have been disclosed or delivered to Recipient and shall not remove,
                overprint or deface any notice of copyright, trademark, logo, legend, or other notices of ownership from
                any originals or copies of Confidential Information.</p>
        </li>
        <li style="line-height:30px;margin-bottom:10px;">
            <p style="line-height:30px;">In no event shall Company be liable for the accuracy or completeness of the Confidential Information.
                None of the Confidential Information disclosed by the Company constitutes any representation, warranty,
                assurance, guarantee or inducement by the Company to Recipient with respect to the infringement of
                trademarks, patents, copyrights, any right of privacy, or any rights of third persons.</p>
        </li>
        <li style="line-height:30px;margin-bottom:10px;">
            <p style="line-height:30px;">Upon the written request of the Company, Recipient shall promptly return to the Company all plans,
                drawings, and other tangible items of Confidential Information furnished by the Company, and all copies
                thereof.</p>
        </li>
        <li style="line-height:30px;margin-bottom:10px;">
            <p style="line-height:30px;">The terms of this Agreement will remain in effect with respect to any particular Confidential Information
                until Recipient can document that such Confidential Information falls into one of the exceptions stated
                in Section 4 above.</p>
        </li>
        <li style="line-height:30px;margin-bottom:10px;">
            <p style="line-height:30px;">This Agreement constitutes the entire agreement between the parties hereto relating to the subject matter
                hereof. This Agreement supersedes and repeals all previous negotiations, representations or
                understandings between the parties relating to the subject matter hereof and may not be modified or
                amended in any respect except in a writing signed by each party.</p>
        </li>
        <li style="line-height:30px;margin-bottom:10px;">
            <p style="line-height:30px;">Any notice or other communication to be given hereunder must be in writing and shall be considered to
                have been given if delivered by hand, overnight courier or sent by certified United States Mail, return
                receipt requested, to the other party at the address stated herein or to such other address as may be
                specified by either party in a notice to the other. Notice is effective upon receipt.</p>
        </li>
        <li style="line-height:30px;margin-bottom:10px;">
            <p style="line-height:30px;">The parties hereto are independent contractors. This Agreement does not obligate the Company to disclose
                to Recipient any information or negotiate or enter into any agreement or relationship with Recipient or
                any other entity.</p>
        </li>
        <li style="line-height:30px;margin-bottom:10px;">
            <p style="line-height:30px;">Neither this Agreement nor the obligations created hereunder may be assigned by Recipient. This Agreement
                and its performance shall be governed by, subject to, and construed in accordance with the laws of the
                State of {company.state} without respect to conflicts of laws provisions thereof.</p>
        </li>
        <li style="line-height:30px;margin-bottom:10px;">
            <p style="line-height:30px;">In the event of the breach or threatened breach of any provision of this Agreement, the Company shall be
                entitled to seek all appropriate legal and equitable relief, including without limitation temporary
                restraining orders, preliminary and permanent injunctions.</p>
        </li>

    </ol>

    <br>
    <br>

    <p style="line-height:30px;"><b>IN WITNESS WHEREOF</b>, the parties have caused this Agreement to be executed by
        their duly authorized officers and to be effective on and as of the Effective Date.</p>
    <br>

    <table border="0" cellpadding="5" width="100%">
        <tr>
            <td width="50%"><b>{company.name}</b></td>
            <td width="50%"><b>RECIPIENT</b></td>
        </tr>
        <tr>
            <td colspan="2"></td>
        </tr>
        <tr>
          <td width="50%">
            <div style="display:flex;align-items:start">
              By: <img src="{*company.authorized_signer_signature_base64}" style="max-height: 60px" onerror="this.style.display = 'none'">
            </div>
          </td>
          <td width="50%">
            <div style="display:flex;align-items:start">
              By: <img src="{company_pro_document.pro_signatures}" style="max-height: 60px">
            </div>
          </td>
        </tr>
        <tr>
            <td width="50%">Name: {*company.authorized_signer_name}</td>
            <td width="50%">Name: {Your Legal Name}</td>
        </tr>
        <tr>
            <td width="50%">Title: {company.authorized_signer_title}</td>
            <td width="50%">Title: {Your Title / Credential}</td>
        </tr>
        <tr>
            <td width="50%">Date: {*company_pro_document.hrm_pro_counter_signed_at}</td>
            <td width="50%">Date: {company_pro_document.pro_signed_at}</td>
        </tr>
    </table>

</div>
