<div style="padding:0 15px;font-family:sans-serif;font-size: 15px;text-align:justify;">
    <h2><strong>
            <center><u>HCP ENGAGEMENT AGREEMENT</u></center>
        </strong></h2>

    <p style="line-height:20px;">THIS HCP ENGAGEMENT AGREEMENT (this <b>“Agreement”</b>) is effective as of
        <u>{Effective Date}</u> ,2022 (<b>"Effective Date"</b>) between <u>{company.name}</u> (<b>"Practice"</b>); and
        <u>{Your Legal Name}</u> (<b>"HCP"</b>)</p>

    <p style="line-height:20px;">WHEREAS, Practice performs healthcare/treatment services through licensed practitioners
        and other clinicians;</p>
    <p style="line-height:20px;">WHEREAS, Practice may obtain management and other infrastructure services from one or
        more third party providers (collectively <b>“Manager”</b>);</p>
    <p style="line-height:20px;">WHEREAS, HCP has experience providing healthcare/treatment services in a healthcare
        and/or telehealth practice setting;</p>
    <p style="line-height:20px;">WHEREAS, Practice requires expertise such as that possessed by HCP to operate its
        business; and</p>
    <p style="line-height:20px;">WHEREAS, Practice wishes to engage HCP to provide treatment services under this
        Agreement, and HCP wishes to accept such engagement.</p>
    <p style="line-height:20px;">NOW, THEREFORE, in consideration of the foregoing representations, and the mutual
        covenants and agreements contained herein, the receipt and sufficiency of which is hereby acknowledged, it is
        understood and agreed by and between the parties as follows:</p>
    <ol>
        <li style="margin-bottom:10px;">
            <p style="line-height:20px;"><u>Engagement</u></p>
            <ol type="a">
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>In General.</u> Practice hereby engages HCP to provide patient
                        treatment services and HCP hereby accepts such engagement. Treatment services are defined as
                        those rendered and appropriately documented as per guidelines from the Centers for Medicare and
                        Medicaid Services (CMS) specified herein (the <b>"Services"</b>). HCP agrees that HCP may be
                        listed in one or more provider directories maintained by Practice, listing HCP as a provider
                        engaged to provide Services for Practice.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Independent Contractor.</u> At all times during the performance of
                        services pursuant to this Agreement, HCP shall be acting as an independent contractor. HCP shall
                        be responsible for the payment and/or withholding of all federal, state, and local tax, employee
                        benefits, and all similar taxes and deductions. Except as Practice may specifically authorize in
                        writing from time to time, HCP shall not have the authority to negotiate, enter into, modify or
                        terminate any contracts on behalf of Practice.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Billing; Licensing; Credentialing.</u> For professional services
                        that are treatment services that HCP provides, HCP authorizes Practice to bill such services
                        using appropriate billing codes to the appropriate payor(s) following all applicable
                        laws, rules, and regulations (including all applicable private medical insurance payor
                        requirements). The Medical Advisory Committee of Practice reserves the right to determine and
                        not submit billing for services that do not conform to applicable laws, rules, regulations and
                        documentation standards. HCP acknowledges that such non-billable services may not be eligible
                        for compensation and would not be compensated/paid to HCP by Practice. HCP agrees that Manager
                        may perform billing and other services on behalf of Practice, and HCP authorizes Manager to bill
                        and collect for services provided by HCP. HCP further authorizes Practice and/or Manager (acting
                        for Practice), to pursue state licensing and payor credentialling to enable HCP to practice in
                        one or more jurisdictions (as mutually agreed between Practice and HCP) and to enable HCP to
                        bill to payors for which Practice participates as an in-network provider.
                    </p>
                </li>
            </ol>
        </li>
        <li style="margin-bottom:10px;">
            <p style="line-height:20px;"><u>Term</u></p>
            <ol type="a">
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Effective Date.</u> The initial term of this Agreement shall begin
                        as of the Effective Date.
                    </p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Initial Term.</u> The initial term (“Initial Term”) of this
                        Agreement shall commence upon the Effective Date and, subject to the termination provisions set
                        forth elsewhere in this Agreement, shall continue for Two (2) years, unless terminated earlier
                        as set forth elsewhere in this Agreement.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Renewal.</u> After the Initial Term, this Agreement, subject to the
                        termination provisions set forth elsewhere in this Agreement, shall be renewed automatically for
                        successive one (1) year terms (each a "Renewal Term"), unless one party gives the other party
                        written notice prior to such renewal that the Agreement shall expire at the end of the Initial
                        Term or the then current Renewal Term, as the case may be. Reference to the "Term" of this
                        Agreement hereafter shall include the Initial Term and any completed, current or ensuing Renewal
                        Term.</p>
                </li>
            </ol>
        </li>
        <li style="margin-bottom:10px;">
            <p style="line-height:20px;"><u>Duties and Obligations of HCP.</u></p>
            <ol type="a">
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>General Responsibilities.</u> HCP shall perform those Services
                        identified on Schedule 1 of this Agreement, which Schedule 1 is attached hereto and made a part
                        hereof (the “Services”).</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Schedule.</u> HCP shall make reasonable efforts to be available to
                        perform the Services on behalf of Practice on an as-needed basis as-requested by Practice and
                        mutually convenient between HCP and Practice schedules. The parties will cooperate with respect
                        to scheduling coverage for the Services during extended periods of HCP unavailability for any
                        reason. HCP agrees that Manager may coordinate HCP’s schedule on behalf of Practice.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Availability.</u> HCP will perform treatment Services via Telemedicine and/or at Practice
                        facilities. HCP shall be available for consultation by phone to perform the Services at mutually
                        convenient times between HCP and Practice schedules.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Standard of Care.</u> In performing the obligations under this
                        Agreement, HCP shall act in good faith, efficiently, diligently, promptly and in accordance with
                        prevailing standards of professional ethics, care, performance, competence and practice as may
                        from time to time be applicable to HCPs and medical directors.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Patient-HCP Relationship.</u> HCP shall establish a valid
                        patient-HCP relationship with each patient pursuant to all applicable local, state and Federal
                        laws, regulations and professional standards.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Practicing License & Continuing Medical Education.</u> HCP shall
                        have and maintain a valid and unrestricted license to practice/provide medical treatment
                        services in the jurisdiction where Practice is located. HCP shall be obligated to obtain
                        required Continuing Medical Education (“CME”) in compliance with state license requirements in
                        all states in which the HCP is licensed to provide professional health care services at the time
                        of this Agreement and during the term of this agreement. Upon request by Practice (or Manager on
                        behalf of Practice), HCP shall provide a copy of the CME certificate to Practice or its
                        designee.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Representations and Warranties.</u> HCP hereby represents and
                        warrants the following throughout the Term of this Agreement:</p>
                    <ol type="i">
                        <li style="margin-bottom:8px;">that HCP has never been the subject of any material disciplinary
                            investigation or proceeding before any governmental or administrative body, including but
                            not limited to any investigation by a State Board that resulted in any adverse findings
                            against HCP.</li>
                        <li style="margin-bottom:8px;">that HCP has never had a professional license revoked, limited,
                            suspended, or denied, either voluntarily or involuntarily; and iii. that in the event that
                            any of the preceding representations or warranties become untrue during a Term, HCP shall
                            give written notice to Practice within seven (7) business days of HCP’s knowledge of such
                            event.</li>
                    </ol>
                </li>
            </ol>
        </li>
        <li style="margin-bottom:10px;">
            <p style="line-height:20px;"><u>Compensation</u></p>
            <ol type="a">
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Rate.</u> During the Term, Practice shall pay HCP at the rates and in the amounts designated in <u>Schedule 2</u> of this Agreement, which <u>Schedule 2</u> is attached hereto and made a part hereof, for treatment services. Rates may be updated from time to time upon mutual agreement in writing between Practice and HCP.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Payment Date.</u> Payments will be payable on the fifteenth day and the last day of each month based on actual services provided by HCP for the preceding bi-monthly period (as reflected in Practice’s records). Practice may update payment schedules from time to time as per the business requirements. Practice will inform HCP 15 (fifteen) days in writing in advance about any such changes in the payment schedule.  HCP may request that Practice make payments hereunder to the legal entity specified in <u>Schedule 2</u> that HCP has formed for purposes of providing health care services.</p>
                </li>
            </ol>
        </li>
        <li style="margin-bottom:10px;">
            <p style="line-height:20px;"><u>Termination of Engagement</u></p>
            <ol type="a">
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Termination by HCP.</u> HCP may terminate this Agreement at any time
                        during the first six (6) months of the Initial Term, for any reason and without cause, by
                        providing at least 30 days’ advance written notice to Practice. After completion of the first
                        six (6) months of the Initial Term, HCP may terminate this Agreement for any reason and without
                        cause, by providing at least 90 days’ advance written notice to Practice. Upon any termination
                        by HCP under this Section 5(a), Practice may, by written notice to HCP, elect to shorten such
                        notice period and terminate this Agreement at an earlier date than the date provided in HCP’s
                        notice to Practice hereunder.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Termination by Practice.</u> Practice may terminate this Agreement,
                        for any reason and without cause, at any time by providing at least 15 days’ advance written
                        notice to HCP. Practice may also terminate this Agreement immediately upon written notice to HCP
                        in the event of any breach by HCP of the terms of this Agreement.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Malpractice Coverage.</u> During the Term hereof, Practice will
                        provide HCP malpractice coverage under Practice’s group malpractice policy unless HCP carries
                        their own malpractice coverage and submits appropriate evidence of coverage to Practice. So long
                        as HCP is not terminated for a material breach of the terms of this Agreement, Practice will
                        provide tail coverage for claims made concerning HCP’s services hereunder under terms reasonably
                        acceptable to Practice.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Post-Termination Payments.</u> Upon any termination of this
                        Agreement, HCP shall be entitled to the compensation earned prior to the date of termination,
                        subject to HCP’s compliance with provisions of this Agreement intended to survive any
                        termination hereof. </p>
                </li>
            </ol>
        </li>
        <li style="margin-bottom:10px;">
            <p style="line-height:20px;"><u>Protective Covenants.</u> HCP agrees to the terms of the Protective
                Covenants in the attached Schedule 4.</p>
        </li>
        <li style="margin-bottom:10px;">
            <p style="line-height:20px;"><u>Miscellaneous</u></p>
            <ol type="a">
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Governing Law.</u> Any dispute arising out of or in connection with
                        this Agreement shall be governed by the local law of the State of Maryland, and shall only be
                        heard in a state or federal court located in the State of Maryland.</p>
                    <p style="line-height:20px;">
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Interpretation.</u> In the event any federal or state law, rule or
                        regulation, or any interpretation thereof, at any time during the term of this Agreement, is
                        modified, implemented, or determined to prohibit, restrict or change a portion of this Agreement
                        which impacts a party’s ability to operate on terms at least as favorable as those reasonably
                        attributable as of the Effective Date, the parties shall negotiate in good faith to amend this
                        Agreement accordingly. References to any statute, rule, or regulation in this Agreement shall be
                        deemed to refer to such statute, rule, or regulation as amended, elaborated, or authoritatively
                        interpreted from time to time. </p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Invalidity of Provisions.</u> The invalidity or unenforceability of
                        any immaterial term or provision or any clause or portion thereof of this Agreement shall in no
                        way impair or affect the validity or enforceability of any other provisions of this Agreement,
                        which shall remain in full force and effect.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Modification; Waiver.</u> No term or provision of this Agreement may
                        be modified, amended, changed or waived, except, in the case of modifications, changes and
                        amendments, pursuant to the written consent of all of the parties to this Agreement, and, in the
                        case of waiver, pursuant to a writing by the person so waiving. The waiver by either party of
                        any provision of this Agreement shall be applicable only to the instance or occurrence for which
                        that waiver was given and shall not constitute consent or a waiver with respect to any other
                        act, instance or occurrence.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Binding Nature of Agreement; No Assignments.</u> HCP may not assign
                        or transfer HCP’s rights or obligations hereunder without the prior written consent of Practice.
                        This Agreement shall be binding upon and inure to the benefit of the parties hereto and any
                        permitted assigns.
                    </p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Entire Understanding.</u> This Agreement (and any separate
                        non-disclosure agreement) shall constitute the entire understanding between the parties with
                        respect to the subject matter hereof, superseding all prior agreements, drafts, and
                        understandings, whether written or oral.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Third Party Beneficiaries.</u> This Agreement is made for the
                        benefit of the parties only, and, other than to the extent expressly stated herein, no other
                        party is an intended beneficiary of this Agreement.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Execution in Counterparts; Electronic Delivery.</u> This Agreement
                        may be executed and delivered in counterparts and/or electronically, including by transmission
                        of PDF (Portable Document Format) or comparable signature images. An electronically executed
                        and/or delivered counterpart or copy of this Agreement shall be effective and admissible as an
                        original for all purposes.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Notices.</u> All notices, requests, demands and other communications
                        under this Agreement shall be in writing and shall be deemed duly given (i) if delivered by hand
                        or by nationally recognized overnight courier and receipted for by the party addressed, on the
                        date of such receipt or (ii) if mailed by certified or registered mail with postage prepaid to
                        the following address, on the third business day after the mailing date:</p>
                    <p style="line-height:20px;">If to Practice to:</p>
                    <p style="line-height:20px;"><b>133 Rollins Ave, Suite 3, Rockville, MD 20852</b></p>
                    <p style="line-height:20px;">If to HCP, to:</p>
                    <p style="line-height:20px;"><b><u>{Your Legal Address}</u></b></p>
                    <p style="line-height:20px;"><b><u>{Your Email Address}</u></b></p>
                    <p style="line-height:20px;">or to such other addresses as the party shall have notified the other
                        party in accordance with this Section 7. Notwithstanding the foregoing, Practice and/or Manager
                        may provide notices to HCP concerning changes in payment schedule and similar administrative
                        matters via email to HCP’s email address specified above.</p>
                </li>
                <li style="margin-bottom:10px;">
                    <p style="line-height:20px;"><u>Further Assurances.</u> Each party shall promptly execute,
                        acknowledge and deliver to each of the other parties such instruments and documents reasonably
                        requested by such other parties to protect and preserve such other parties’ rights and remedies
                        under this Agreement.</p>
                </li>
            </ol>
        </li>
    </ol>

    <p style="line-height:20px;margin-top:40px;">IN WITNESS WHEREOF, the parties hereto have entered this Agreement as
        of the Effective Date:</p>

    <table border="0" cellpadding="5" width="100%">
        <tr>
            <td width="50%"><b>Practice:</b></td>
            <td width="50%"><b>HCP:</b></td>
        </tr>
        <tr>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td width="50%">
                <div>
                    <p style="margin-bottom:4px;">By:</p> <img src="{*company.authorized_signer_signature_base64}"
                        style="max-height: 60px" onerror="this.style.display = 'none'">
                </div>
            </td>
            <td width="50%">
                <div>
                    <p style="margin-bottom:4px;">By:</p> <img src="{company_pro_document.pro_signatures}"
                        style="max-height: 60px" onerror="this.style.display = 'none'">
                </div>
            </td>
        </tr>
        <tr>
            <td width="50%">Name/Title: {*company.authorized_signer_name}</td>
            <td width="50%">Name: {Your Legal Name}</td>
        </tr>
    </table>

    <h2 style="page-break-before: always;"><strong>
            <center><u>SCHEDULE 1</u></center>
        </strong></h2>

    <p style="line-height:20px;"><b><u>Services; HCP Commitments</u></b></p>
    <ol>
        <li style="margin-bottom:10px;line-height:20px;">HCP shall provide treatment services as reasonably requested from time to time by Practice.</li>
        <li style="margin-bottom:10px;line-height:20px;">HCP shall provide such other professional healthcare services as may be reasonably requested by Practice
            from time to time.</li>
        <li style="margin-bottom:10px;line-height:20px;">HCP shall provide treatment services in accordance with the applicable local, state and Federal laws,
            regulations and professional standards and the section 1.3 of the HCP Engagement Agreement.</li>
    </ol>

    <h2 style="page-break-before: always;"><strong>
            <center><u>SCHEDULE 2</u></center>
        </strong></h2>
    <p style="line-height:20px;">
        <center><b><u>Compensation</u></b></center>
    </p>
    <p style="line-height:20px;"><b>HCP INITIAL AVAILABILITY:</b></p>
    <p style="line-height:20px;">HCP shall provide treatment services as needed when it is mutually convenient for HCP, Practice, and patients.</p>
    <p style="line-height:20px;"><b><u>Compensation:</u></b></p>
    <ul>
        <li style="margin-bottom:10px;line-height:25px;">Practice shall pay HCP <b>$<u>{@Compensation}</u></b>/hour for billable treatment services and pre-approved management services.</li>
        <li style="margin-bottom:10px;line-height:25px;">HCP acknowledges that the Medical Advisory Committee of the Practice has authority to determine medical necessity and appropriateness of documentation, and that services that do not meet these standards may be deemed as not billable. Practice shall not be liable to reimburse for Services that are deemed not billable, are denied claim, or do not follow all applicable laws, rules, and regulations (including all applicable third-party payor requirements).</li>
    </ul>
    <p style="line-height:20px;"><b>HCP Legal Entity Name (if any, for payment purpose only):</b> <u>{HCP Legal Entity Name}</u></p>


    <h2 style="page-break-before: always;"><strong>
            <center><u>SCHEDULE 3</u></center>
        </strong></h2>
    <p style="line-height:20px;">
        <center>Confidentiality Acknowledgement</center>
    </p>
    <ol>
        <li style="margin-bottom:10px;">
            <p style="line-height:20px;"><b>HIPAA CONFIDENTIALITY:</b></p>
            <p style="line-height:20px;">Through my association/engagement with each health care practice specified in
                the attached HCP Engagement Agreement (“Practice”) as an HCP, I, the health care practitioner signing
                the HCP Engagement Agreement, understand that patient information in any form (paper, electronic, oral,
                etc.) is protected by law and that breaches of patient confidentiality can have ramifications up to and
                including termination of my contract/association/engagement with Practice as well as possible civil and
                criminal penalties as related to HIPPA (Health Insurance Portability and Accountability Act of 1996, as
                amended, including all implementing regulations). I will only access, use or disclose what is necessary
                to carry out my assigned duties. I will not improperly divulge any information which comes to me through
                the carrying out of my assigned duties, program assignment or observation.
            </p>
            <p style="line-height:20px;">This includes but not limited to:</p>
            <ol>
                <li style="margin-bottom:10px; line-height:22px;">I will not discuss information pertaining to any patient with anyone (even my own family) who is not
                    directly working with said patient.</li>
                <li style="margin-bottom:10px; line-height:22px;">I will not discuss any patient information in any place where it can be overheard by anyone who is
                    not authorized to have this information.</li>
                <li style="margin-bottom:10px; line-height:22px;">I will not mention any patient’s name or disclose directly or indirectly that any person is a
                    patient except to those authorized to have this information.</li>
                <li style="margin-bottom:10px; line-height:22px;">I will not describe any behavior which I have observed or learned about through association with
                    Practice or its business associates, affiliates & subsidiaries, except to those authorized to have
                    this information.</li>
                <li style="margin-bottom:10px; line-height:22px;">I will not contact any individual or agency outside Practice or its business associates, affiliates
                    & subsidiaries to get personal information about an individual patient unless a release of
                    information has been signed by the patient or by someone who has been legally authorized by the
                    patient to release information.</li>
                <li style="margin-bottom:10px; line-height:22px;">I will not use confidential information of Practice or its business associates, affiliates &
                    subsidiaries’ business-related information in any manner not required by my job or disclose it to
                    anyone not authorized to have or know it.</li>
                <li style="margin-bottom:10px; line-height:22px;">I will not access a co-worker’s, family member’s or my own medical record unless I am directly
                    working with the said patient or instructed by authorized personnel.</li>
                <li style="margin-bottom:10px; line-height:22px;">I will not transfer, copy or scan any patient health information unless it is duly required as a
                    part of my duties or approved by Practice or authorized personnel.</li>
            </ol>
        </li>
        <li style="margin-bottom:10px;">
            <p style="line-height:20px;"><b>COMPUTER SECURITY ACKNOWLEDGEMENT</b></p>
            <p style="line-height:20px;">I understand my password and user ID create a unique user account and that
                Practice and/or its business associates, reserves the right to monitor my activity within any
                application. I understand I am accountable for any activity within the application linked to my unique
                user account and that I may be questioned about my activity. I understand I will be accountable for any
                document or data creation or modification linked to my unique user account. I understand that sharing my
                password, using someone else’s password or signing on for others to use the application are all breaches
                of security, patient confidentiality and my computer security procedures (such as signing off, not
                sharing passwords, etc.) to protect information maintained electronically from being accessed by an
                unauthorized user.</p>
        </li>
        <li style="margin-bottom:10px;">
            <p style="line-height:20px;"><b>INTERNET SECURITY ACKNOWLEDGEMENT</b></p>
            <p style="line-height:20px;">I am familiar with the Internet and e-mail security policies and I agree to
                abide by them. I am aware that my unauthorized or inappropriate use of the Internet may result in
                disciplinary action up to and including termination. I further acknowledge my responsibility to keep my
                password confidential and in the event of a suspected compromise or a security problem, I will
                immediately notify the authorized personnel. In addition, when sending files or attachments via email, I
                will observe all Practice’s and/or its business associate’s security and confidentiality policies. (See
                HIPPA guidelines above).</p>
            <p style="line-height:20px;">I understand that the privilege of using the Internet and e-mail may not be
                granted to me in the future and that if granted is to be used for business reasons only.</p>
        </li>
    </ol>

    <h2 style="page-break-before: always;"><strong>
            <center><u>SCHEDULE 4</u></center>
        </strong></h2>
    <p style="line-height:20px;">
        <center>PROTECTIVE COVENANTS</center>
    </p>
    <p style="line-height:20px;">HCP understands and agrees that HCP will be the face of Practice’s brand in the
        geographic area where HCP provides services for Practice and that Practice will list HCP in Practice
        directories. HCP will be designated as the Practice’s clinical leader in the geographic area where HCP provides
        services for Practice. HCP understands and agrees that Practice intends to dedicate resources to building
        patient volume for HCP and HCP agrees to devote sufficient time and energy to advancing the brand, goodwill, and
        objectives of Practice. HCP further understands that Practice, Manager, and entities under common control will
        disclose confidential and proprietary information to HCP as part of HCP’s engagement, and HCP therefore agrees
        to the terms of these Protective Covenants:</p>
    <p style="line-height:20px;">1.1. <u style="margin-right:10px;">Non-Competition/Non-Solicitation.</u> To protect the
        goodwill of Practice, HCP covenants and agrees to the following business protection measures.</p>
    <p style="line-height:20px;padding-left: 15px;">1.1.1. During the term of the Agreement and for a period of two (2) years after HCP ceases to be engaged by Practice, HCP shall not have any ownership interest (direct or indirect) or any ability to control the operations of any entity that provides services substantially similar to Practice.
    </p>
    <p style="line-height:20px;padding-left: 15px;">1.1.2. During the term of the Agreement and for a period of two (2)
        years after HCP ceases to be engaged by Practice, HCP shall not compete with Practice to provide services
        substantially similar to or the same as Practice using business methods similar to or the same as those used by
        Practice or Manager.</p>
    <p style="line-height:20px;padding-left: 15px;">1.1.3. During the term of the Agreement and for a period of two (2)
        years after HCP ceases to be engaged by Practice, HCP shall not directly or indirectly solicit any patient of
        Practice (any individual who obtained treatment or other services from Practice from HCP during the term of the
        Agreement -- or any parent or guardian thereof) for the provision of health care services, nor take any other
        action that would encourage any such patient to cease receiving services from Practice.</p>
    <p style="line-height:20px;padding-left: 15px;">1.1.4. During the term of the Agreement and for a period of two (2)
        years after HCP ceases to be engaged by Practice, HCP shall not directly or indirectly solicit for engagement or
        engage any person who is engaged by Practice or who has been engaged by Practice at any time during the six (6)
        month period prior to the date of the solicitation or new engagement.</p>
    <p style="line-height:20px;">1.2. <u style="margin-right:10px;">Extension of Covenants.</u> The term of the
        covenants contained in Section 1.1 shall be extended by the duration of the breach of any such covenant by HCP.
    </p>
    <p style="line-height:20px;">1.3. <u style="margin-right:10px;">Practice Business Information.</u> HCP may have
        access to business information of Practice, Manager, or entities under common control therewith, including
        information related to the identity of patients, managed care contracts, third party payor arrangements, health
        care provider agreements, business plans, strategic plans, business forms, marketing strategies, and other
        information about the present or proposed conduct of Practice, Manager, or entities under common control
        therewith. All of this information is intended by Practice to be held on a confidential basis by all Practice
        personnel. HCP agrees that HCP shall not use or disclose to any other person any confidential business
        information of Practice, Manager, or entities under common control therewith at any time during the term of the
        Agreement or following the termination of the Agreement, and that during the term of the Agreement, and at all
        times thereafter, HCP will maintain confidentially with respect to such information, except as required by law
        or for authorized disclosures in the normal course of HCP’s duties. Upon termination of the Agreement for any
        reason, HCP shall return to Practice all keys and things of any nature belonging to Practice and all Practice
        documents of any kind, including copies or computer files, and HCP will not, under any circumstances, maintain a
        list of Practice referral source or professional contacts, in any form.</p>
    <p style="line-height:20px;">1.4. <u style="margin-right:10px;">Enforcement and Interpretation.</u> Practice,
        Manager, and/or any entities under common control therewith shall have the right to enforce the provisions
        hereunder in any appropriate legal or equitable action. HCP agrees that damages for the violation or threatened
        violation of these provisions may be difficult to ascertain or compensate monetarily and that Practice, Manager,
        or entities under common control therewith shall be entitled to obtain an injunction to enforce these provisions
        and shall not be required to post any bond to do so. HCP shall pay all legal fees and costs, including, but not
        limited to, attorneys’ fees, incurred by the enforcing parties in regard to the enforcement of these provisions.
        If any of these provisions are adjudicated to exceed the time, geographic area, scope of business or other
        limitations permitted by applicable law, then such provisions shall be deemed reformed to the maximum time,
        geographic or other limitations permitted by law. HCP acknowledges and agrees that any equitable rights
        described hereunder are in addition to all legal and other rights and remedies available to Practice, Manager,
        and/or entities under common control therewith.</p>
    <p style="line-height:20px;">1.5. <u style="margin-right:10px;">Provisions are of the Essence; Survival.</u> HCP
        understands and agrees that Practice Manager, and/or entities under common control will be providing HCP with
        valuable professional opportunities and information that HCP would not otherwise have, and that Practice,
        Manager, and/or entities under common control therewith consider these provisions to be of great importance and
        value. The parties agree that but for these provisions, Practice would not have entered into the Agreement. The
        parties further agree that the restrictions herein are reasonable and necessary to protect Practice’s legitimate
        and valuable business interests and will not prevent or unreasonably impede HCP’s ability to practice HCP’s
        profession. These provisions will survive any termination of the Agreement.</p>
</div>
