<?php
return [
  'medicaid_states' => [
    "MEDICAID ALABAMA",
    "MEDICAID ALASKA",
    "MEDICAID ARIZONA",
    "MEDICAID ARKANSAS",
    "MEDICAID CALIFORNIA MEDI-CAL",
    "MEDICAID COLORADO",
    "MEDICAID CONNECTICUT",
    "MEDICAID DELAWARE",
    "MEDICAID DISTRICT OF COLUMBIA",
    "MEDICAID FLORIDA",
    "MEDICAID GEORGIA",
    "MEDICAID HAWAII",
    "MEDICAID IDAHO",
    "MEDICAID ILLINOIS",
    "MEDICAID INDIANA",
    "MEDICAID IOWA",
    "MEDICAID KANSAS",
    "MEDICAID KENTUCKY",
    "MEDICAID LOUISIANA",
    "MEDICAID MAINE",
    "MEDICAID MARYLAND",
    "MEDICAID MARYLAND DHMH",
    "MEDICAID MASSACHUSETTS",
    "MEDICAID MICHIGAN",
    "MEDICAID MINNESOTA",
    "MEDICAID MISSISSIPPI",
    "MEDICAID MISSISSIPPI",
    "MEDICAID MISSOURI",
    "MEDICAID MONTANA",
    "MEDICAID NEBRASKA",
    "MEDICAID NEVADA",
    "MEDICAID NEW HAMPSHIRE",
    "MEDICAID NEW JERSEY",
    "MEDICAID NEW MEXICO",
    "MEDICAID NEW YORK",
    "MEDICAID NEW YORK",
    "MEDICAID NORTH CAROLINA",
    "MEDICAID NORTH DAKOTA",
    "MEDICAID OHIO",
    "MEDICAID OKLAHOMA",
    "MEDICAID OREGON",
    "MEDICAID OREGON (DHS OMAP)",
    "MEDICAID PENNSYLVANIA",
    "MEDICAID RHODE ISLAND",
    "MEDICAID SOUTH CAROLINA",
    "MEDICAID SOUTH DAKOTA",
    "MEDICAID TENNESSEE",
    "MEDICAID TEXAS",
    "MEDICAID TEXAS AND TEXAS HEALTH STEPS",
    "MEDICAID UTAH",
    "MEDICAID VERMONT",
    "MEDICAID VIRGINIA",
    "MEDICAID WASHINGTON (PROVIDER ONE)",
    "MEDICAID WEST VIRGINIA",
    "MEDICAID WISCONSIN",
    "MEDICAID WYOMING",
  ],
  'client_engagement_status_color_codes' => [
    'ACTIVE' => 'rgba(157, 223, 172, 0.5)',
    'INACTIVE' => 'rgba(220, 53, 69, 0.5)',
    'ENTRY_ERROR' => 'rgba(220, 53, 69, 0.5)',
    'DUMMY' => 'rgba(255, 193, 7, 0.5)',
    'DECEASED' => 'rgba(78, 80, 82, 0.5)',
    'DUPLICATE' => 'rgba(23, 162, 184, 0.5)',
    'NO_LONGER_INTERESTED' => 'rgba(255, 3, 61, 0.5)',
    'BAD_RECORD' => 'rgba(102, 16, 242, 0.5)',
    'NO_LONGER_ELIGIBLE' => 'rgba(253, 126, 20, 0.5)',
  ],
  'insurance_payers' => [
    "Aetna",
    "Anthem Blue Cross Blue Shield",
    "Cigna",
    "Humana",
    "Kaiser Permanente",
    "UnitedHealthcare",
    "Blue Cross Blue Shield",
    "Health Net",
    "Molina Healthcare",
    "Oscar Health",
    "Ambetter",
    "CareSource",
    "Centene Corporation",
    "Highmark",
    "Independence Blue Cross",
    "WellCare",
    "Tricare",
  ]
];
