<div moe relative>
    <a start show href="#" class="text-nowrap">{{@$label ?: 'Add Payment Method'}}</a>
    <form url="/api/paymentMethod/createCard">
        <input type="hidden" name="customerUid" value="{{$customer->uid}}">
        <p class="text-secondary font-weight-bold mb-1 text-nowrap">Add Payment Method</p>
        <div class="mb-2">
            <label class="mb-1 text-secondary text-sm">Card Number</label>
            <input type="text" name="cardNumber" value="" class="form-control form-control-sm min-width-200px" required>
        </div>
        <div class="mb-2">
            <label class="mb-1 text-secondary text-sm">Expiry Date</label>
            <div class="d-flex align-items-start">
                <select class="form-control form-control-sm" name="expirationMonth" required>
                    <option value="">-- select --</option>
                    <option value="1">January</option>
                    <option value="2">February</option>
                    <option value="3">March</option>
                    <option value="4">April</option>
                    <option value="5">May</option>
                    <option value="6">June</option>
                    <option value="7">July</option>
                    <option value="8">August</option>
                    <option value="9">September</option>
                    <option value="10">October</option>
                    <option value="11">November</option>
                    <option value="12">December</option>
                </select>
                <input type="number" name="expirationYear" class="form-control form-control-sm ml-2" placeholder="Expiry Year" required>
                
            </div>
        </div>
        <div class="mb-2">
            <label class="mb-1 text-secondary text-sm">CVV/CCV Number</label>
            <input type="text" name="ccv" value="" class="form-control form-control-sm min-width-200px" required>
        </div>
        <div class="mb-2">
            <label class="mb-1 text-secondary text-sm">Billing Zip</label>
            <input type="text" name="billingZip" value="" class="form-control form-control-sm min-width-200px">
        </div>
        <div class="d-flex align-items-center">
            <button submit class="btn btn-sm btn-primary me-2">Submit</button>
            <button cancel class="btn btn-sm btn-default">Cancel</button>
        </div>
    </form>
</div>