<div class="p-3 mcp-theme-1">
    <div class="card">

        <div class="card-body border-top-0 p-0 pb-0">
            <table class="table table-sm table-striped mb-0">
                <thead class="bg-light">
                <tr>
                    <th class="border-0">Date</th>
                    <th class="border-0">Patient</th>
                    <th class="border-0">ICD</th>
                    <th class="border-0">Status</th>
                </tr>
                </thead>
                <tbody>
                @foreach($records as $row)
                    <tr>
                        <td>
                            <a native target="_blank" href="/patients/view/{{ $row->client->uid }}/notes/view/{{ $row->uid }}">
                                {{ friendlier_date($row->effective_dateest) }}
                            </a>
                        </td>
                        <td>{{$row->client->displayName()}}</td>
                        <td>
                            @foreach($row->reasons() as $reason)
                                <span class="pr-2">{{$reason->code}}</span>
                            @endforeach
                            @if(!$row->reasons() || !count($row->reasons()))
                                -
                            @endif
                        </td>
                        <td>
                            {{$row->overallStatus()}}
                        </td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
