<div id="generic-customer-payment-methods" class="">
    <div class="d-flex align-items-end pb-3">
        <h4 class="font-weight-bold m-0">
            Payment Methods
        </h4>
        <span class="mx-2 text-secondary">|</span>
        @include('app.patient.company-client.partials.customer-add-payment-method-form')
        <span class="mx-2 text-secondary">|</span>
        <a href="#" data-uid="{{ $customer->uid }}"
            class="generate-and-copy-ic-payment-method-url" native target="_blank">Copy Customer Link</a>
    </div>
    @if (count($customer->paymentMethods))
        @php
            $index = 1;
        @endphp
        @foreach ($customer->paymentMethods as $method)
            <div class="mb-2 px-3 py-2 bg-light border">
                <div class="d-flex align-items-center flex-nowrap">
                    <span>{!! $method->displayName() !!}</span>
                    <div moe class="ml-3">
                        <a start show href="#" class="text-nowrap text-sm">Remove</a>
                        <form url="/api/paymentMethod/deactivate">
                            <input type="hidden" name="uid" value="{{ $method->uid }}">
                            <p class="text-secondary font-weight-bold mb-2 text-nowrap">Remove this Payment Method?</p>
                            <div class="d-flex align-items-center">
                                <button submit class="btn btn-sm btn-primary me-2">Submit</button>
                                <button cancel class="btn btn-sm btn-default">Cancel</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        @endforeach
    @else
        <div class="my-3">You have not set up any payment methods!</div>
    @endif
</div>
