<div class="p-3 mt-3 border-top">
    <table class="table table-striped table-sm table-bordered">
        @if($patient->memos && count($patient->memos))
            <thead>
            <tr>
                <th class="px-2 text-secondary border-bottom-0 w-25">Category</th>
                <th class="px-2 text-secondary border-bottom-0 w-50">Summary</th>
                <th class="px-2 text-secondary border-bottom-0">Created</th>
            </tr>
            </thead>
            <tbody>
            @foreach($patient->memos as $memo)
                <tr>
                    <td class="px-2">{{ $memo->category }}</td>
                    <td class="px-2"><pre class="m-0 break-spaces">{{ $memo->content }}</pre></td>
                    <td class="px-2">{{ friendly_date_time($memo->created_at) }}</td>
                </tr>
            @endforeach
            </tbody>
        @else
            <tbody>
            <tr>
                <td class="text-secondary p-3">No memos have been created for this patient</td>
            </tr>
            </tbody>
        @endif
    </table>
</div>