<?php $keysToSkip = [
    'how_weight_affects_your_life_1',
    'how_weight_affects_your_life',
    'first_notice_on_weight_gain',
    'first_notice_on_weight_gain',
    'first_notice_on_weight_gain',
    'first_notice_on_weight_gain',
    'first_notice_on_weight_gain',
    'gained_more_than_20_pounds',
    'gained_more_than_20_pounds',
    'gained_more_than_20_pounds_when',
    'weight_1_year_ago',
    'weight_5_years_ago',
    'weight_10_years_ago',
    'weight_gain_life_events',
    'weight_gain_life_events_medication_list',
    'previous_weight_loss_programs',
    'previous_weight_loss_programs_others_list',
    'max_weight_loss',
    'greatest_challenge',
    'weight_loss_medication',
    'weight_loss_medication_other',
    'wlm_what_worked',
    'wlm_what_didnt_work',
    'wlm_why_or_why_not',
    'breakfast_days_per_week',
    'breakfast_hour',
    'breakfast_min',
    'no_of_times_you_eat_per_day',
    'beverages_you_drink',
    'eats_at_night',
    'eats_at_night_when',
    'food_intolerances_list',
    'food_triggers',
    'food_triggers_other',
    'food_cravings',
    'food_cravings_favourites',
    'medical_history_exercise_type',
    'medical_history_hours',
    'medical_history_mins',
    'medical_history_no_of_times_per_week',
    'sleeping_hours_per_night',
    'feels_rested_in_morning',
    'past_medical_history',
    'past_medical_history_other',
    'eating_disorder',
    'eating_disorder_text',
    'past_surgical_history',
    'past_surgical_history_other',
    'medication_list',
    'alergies_medications',
    'alergies_food',
    'social_history_smoking',
    'current_smoker_packs_per_day',
    'past_smoker_quit_years_ago',
    'social_history_alcohol',
    'regular_drinks_per_day',
    'prior_alcoholism_treatment',
    'social_history_drugs',
    'social_history_drugs_text',
    'social_history_marijuana',
    'current_user_drinks_per_day',
    'family_history_obesity',
    'family_history_diabetes',
    'family_history_other',
    'family_history_other_text',
    'family_history_alcoholism',
    'fhdos',
    'age_periods_started',
    'age_periods_ended',
    'periods_frequency',
    'periods_intensity',
    'no_of_pregnancies',
    'no_of_children',
    'age_of_first_pregnancy',
    'age_of_last_pregnancy',
    'system_review',
    'women_only',
    'comments'
]; ?>
@if($points && count($points))
    <?php
        ob_start();
        $j = 0;
        foreach ($points as $point) {
            $j++;
            ?>
            <tr>
                <td class="font-weight-normal">
                    @include('app.patient.module-specific-summary-renderers.data-dump', compact('point'))
                </td>
                <td></td>
            </tr>
            <?php
        }
        $output = ob_get_contents();
        ob_end_clean();
    ?>
    @if($output && !!trim(strip_tags($output)))
    <div class="d-flex border-bottom">
        <a class="mr-2 min-width-110px hide-if-note-signed"
            open-in-stag-popup
           href="/module-view/{{$note->uid}}/weight_loss_intake/edit"
           mc-initer="edit-weight_loss_intake-container-{{$note->id}}"
           title="Weight Loss Intake"
           popup-style="stag-popup-md overflow-visible">
            Weight Loss
        </a>
        <span class="mr-2 min-width-110px font-weight-bold show-if-note-signed">
            Weight Loss
        </span>

        <div class="flex-grow-1">
            <table class="table table-bordered table-xs table-cage mb-0">
                <?= $output ?>
            </table>
        </div>
    </div>
    @endif
@endif

