<?php if ($point->lastChildReview): ?>
<?php $parsedReview = json_decode($point->lastChildReview->data); ?>
<div class="<?= $point->last_child_review_point_scoped_note_id === $note->id ? 'bg-warning-mellow p-2 rounded' : '' ?>">
    <div>
        <?php
        if(!@$template) $template = 'hpi/core.json';
        $data = $parsedReview ? $parsedReview : null;
        ?>
        @include('app.dq-engine.read', compact('template', 'note', 'patient', 'point', 'data'))
    </div>

    <?php if ($point->last_child_review_point_scoped_note_id === $patient->core_note_id): ?>
    <span class="text-sm">(updated on the patient's chart)</span>
    <?php else: ?>
    <?php if ($point->last_child_review_point_scoped_note_id === $note->id): ?>
    <span class="text-sm">(updated on this note)</span>
    <?php else: ?>
    <a native target="_blank"
       href="<?= route('patients.view.notes.view.dashboard', ['patient' => $patient, 'note' => $point->lastChildReviewNote]) ?>">
        <?= friendlier_date_time($point->last_child_review_effective_date) ?>
    </a>
    <?php endif; ?>
    <?php endif; ?>

</div>
<?php else: ?>
<span class="text-secondary text-sm">None</span>
<?php endif; ?>
