<?php $iName = $segment->segmentTemplate->internal_name; ?>
<?php $isLSSegment = strpos($iName, 'lifestyle_') === 0; ?>
<div class="note-section visit-segment mb-3 {{strpos($iName, 'lifestyle_') === 0 && $iName !== 'lifestyle_general' ? 'zero-height' : ''}}"
     data-segment-uid="{{ $segment->uid }}"
     data-segment-template-uid="{{ $segment->segmentTemplate->uid }}"
     data-segment-template-name="{{ $segment->segmentTemplate->internal_name }}">

    <div class="d-flex align-items-baseline">
        <span class="font-weight-bold d-flex align-items-center {{$isLSSegment || $iName === 'medrisk_vigilence' ? '' : 'xxxmb-2'}}" style="">
            {{$segment->display_title}}
        </span>
    </div>

    <?php if(!$isLSSegment): ?>

    <div class="inset-comment summary-container {{$iName === 'medrisk_vigilence' ? 'px-0' : 'p-2 pl-4'}}">
        @if($note->is_signed_by_hcp && $segment->accepted_suggestion_summary_html)
            {!! $segment->accepted_suggestion_summary_html !!}
        @else
            {!! $segment->summary_html !!}
        @endif
    </div>

    <?php endif ?>

</div>
