<div class="">
    <div class="mb-1">
        <div>
            <p class="mb-1 text-secondary"><b>Phone numbers for Cardio1st notifications:</b></p>
            <p class="mb-1"><b>BP</b> {{ format_phone_number(config('app.bpSmsNumber')) }} <b class="ml-2">WT</b> {{ format_phone_number(config('app.weightSmsNumber')) }}</p>
        </div>
        <div class="d-flex align-items-center">
            <p class="mb-0 mr-2 text-secondary">Has patient stored #s?</p>
            <span class="mr-2">
                @if(@$patient->clientBpWeightPhoneNumberStatus->has_client_saved_bp_phone_number)
                <i class="fas fa-check-square text-success on-hover-opaque"></i>
                @else
                <i class="far fa-square text-secondary on-hover-opaque"></i>
                @endif
                BP
            </span>
            <span class="mr-2">
                @if(@$patient->clientBpWeightPhoneNumberStatus->has_client_saved_weight_phone_number)
                <i class="fas fa-check-square text-success on-hover-opaque"></i>
                @else
                <i class="far fa-square text-secondary on-hover-opaque"></i>
                @endif
                WT
            </span>
            
            <div moe>
                <a start show><i class="fa fa-edit"></i></a>
                <form url="/api/client/updateClientBpWeightPhoneNumberStatus" class="mcp-theme-1">
                    <input type="hidden" name="uid" value="{{$patient->uid}}">
                    <div class="mb-2 checkbox d-flex">
                        <input type="checkbox" name="hasClientSavedBpPhoneNumber" <?= @$patient->clientBpWeightPhoneNumberStatus->has_client_saved_bp_phone_number ? 'checked':'' ?>>
                        <label class="ml-1 mb-1 text-secondary text-sm">Has client saved bp phone number?</label>
                    </div>
                    <div class="mb-2 d-none">
                        <label class="mb-1 text-secondary text-sm">Saved BP phone number</label>
                        <input type="text" name="savedBpPhoneNumber" class="form-control form-control-sm" value="{{ format_phone_number(config('app.bpSmsNumber')) }}">
                    </div>
                    <div class="mb-2 checkbox d-flex">
                        <input type="checkbox" name="hasClientSavedWeightPhoneNumber" <?= @$patient->clientBpWeightPhoneNumberStatus->has_client_saved_weight_phone_number ? 'checked':'' ?>>
                        <label class="ml-1 mb-1 text-secondary text-sm">Has client saved weight phone number?</label>
                    </div>
                    <div class="mb-2 d-none">
                        <label class="mb-1 text-secondary text-sm">Saved weight phone number</label>
                        <input type="text" name="savedWeightPhoneNumber" class="form-control form-control-sm" value="{{ format_phone_number(config('app.weightSmsNumber')) }}">
                    </div>
                    <div>
                        <button submit class="btn btn-sm btn-primary mr-1">Submit</button>
                        <button cancel class="btn btn-sm btn-default border">Cancel</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>