<?php
	$displayData = [
		'icd_1' => [
			'title' => 'ICD 1',
			'reason' => $record->rm_reason_icd1,
			'description' => $record->rm_reason_icd1description
		],
		'icd_2' => [
			'title' => 'ICD 2',
			'reason' => $record->rm_reason_icd2,
			'description' => $record->rm_reason_icd2description
		],
		'icd_3' => [
			'title' => 'ICD 3',
			'reason' => $record->rm_reason_icd3,
			'description' => $record->rm_reason_icd3description
		],
		'icd_4' => [
			'title' => 'ICD 4',
			'reason' => $record->rm_reason_icd4,
			'description' => $record->rm_reason_icd4description
		],
	];
?>
<table class="table table-sm table-striped table-bordered mb-0">
	<tbody>
		@foreach($displayData as $rmKey=>$rmData)
		<tr>
			<td class="text-nowrap">{{ $rmData['title'] }}</td>
			<td>
				<div class="d-flex">
					<span class="font-weight-bold text-sm mr-2" style="min-width: 60px;">{{ $rmData['reason'] ? $rmData['reason']. ':':'' }}</span>
					<small class="text-muted text-sm">{{ $rmData['description'] }}</small>
				</div>
			</td>
		</tr>
		@endforeach
		<tr>
			<td class="text-nowrap">Memo</td>
			<td class="text-muted text-sm">{{ $record->rm_reason_memo }}</td>
		</tr>
	</tbody>
</table>