<?php
$supplements = \App\Models\Point::getPointsOfCategory($patient, "SUPPLEMENT");
?>
<div class="pt-2 mt-2">
    <div class="d-flex align-items-center pb-2">
        <h6 class="my-0 font-weight-bold">Current Supplements</h6>
        @if($patient->coreNote)
            @if(!@$disallowPointEdits)
            <a native target="_blank"
               class="c-pointer d-inline-flex align-items-center ml-3 text-decoration-none"
               open-in-stag-popup
               update-parent
               mc-initer="supplements-center-{{$patient->coreNote->id}}"
               title="Supplements Center"
               popup-style="overflow-visible"
               href="/supplements-center/{{$patient->uid}}/{{$patient->coreNote->uid}}">
                <i class="fa fa-bolt mr-1"></i>
                <span>Manage</span>
            </a>
            @else
                <span class="text-secondary text-sm ml-3">Editable from within notes.</span>
            @endif
        @endif
    </div>
    <div class="bg-light border p-2 mb-3 point-content">
        @foreach($supplements as $supplement)
            <div class="mb-1">
                <b><?= !!@($supplement->data->name) ? @($supplement->data->name) : '-' ?></b>
            </div>
        @endforeach
        @if(!count($supplements))
            <div class="text-secondary">Nothing here yet</div>
        @endif
    </div>
</div>