<div class="stag-popup stag-popup-sm mcp-theme-1" stag-popup-key="prescription-popup-DRUG">
    <form method="POST" action="" class="overflow-visible">
        <h3 class="stag-popup-title mb-2">
            <span>Drug Prescription</span>
            <a href="#" class="ml-auto text-secondary"
               onclick="return closeStagPopup()"><i class="fa fa-times-circle"></i></a>
        </h3>

        <input type="hidden" data-name="medId">
        <input type="hidden" data-name="routedMedId">
        <input type="hidden" data-name="routedDosageFormMedId">
        <input type="hidden" data-name="gcnSeqno">

        <div class="mb-2">
            <label class="text-sm text-secondary mb-1">Drug</label>
            <input type="text" class="form-control form-control-sm min-width-unset prescription-medication"
                   stag-suggest
                   stag-suggest-ep="/fdb-med-suggest-v2/json">
        </div>

        <div class="row">
            <div class="col-4 pr-0">
                <div class="mb-2">
                    <label class="text-sm text-secondary mb-1">Frequency</label>
                    <input type="text" class="form-control form-control-sm min-width-unset"
                           data-option-list="frequency-options" data-field="frequency"
                           v-model="currentPrescription_DRUG.clinicalDetailJson.frequency">
                    <div id="frequency-options" class="data-option-list">
                        <div>Once a day</div>
                        <div>Twice a day</div>
                    </div>
                </div>
            </div>
            <div class="col-4 pr-0">
                <div class="mb-2">
                    <label class="text-sm text-secondary mb-1">Dispense</label>
                    <input type="text" class="form-control form-control-sm min-width-unset"
                           v-model="currentPrescription_DRUG.clinicalDetailJson.dispense">
                </div>
            </div>
            <div class="col-4">
                <div class="mb-2">
                    <label class="text-sm text-secondary mb-1">Refills</label>
                    <input type="text" class="form-control form-control-sm min-width-unset"
                           v-model="currentPrescription_DRUG.clinicalDetailJson.refills">
                </div>
            </div>
        </div>
        <div class="mb-2">
            <label class="text-sm text-secondary mb-1">Purpose</label>
            <input type="text" class="form-control form-control-sm min-width-unset"
                   v-model="currentPrescription_DRUG.clinicalDetailJson.purpose">
        </div>
        <div class="d-flex align-items-center justify-content-center mt-3">
            <button type="button" class="btn btn-sm btn-primary mr-2" v-on:click.prevent="savePrescription()">Submit
            </button>
            <button type="button" class="btn btn-sm btn-default border" onclick="return closeStagPopup()">Cancel
            </button>
        </div>
    </form>
</div>
