@if($pro->pro_type === 'ADMIN')

    <hr class="m-negator mt-4 mb-3">

    <div class="screen-only">
        <div class="d-flex align-items-center mb-3">
            <p class="font-weight-bold text-secondary m-0 font-size-14">RM Setup</p>
        </div>

        <div class="mb-3 d-flex align-items-center">
            <span class="min-width-140px">RM Setup Status:</span>
            <div class="d-inline-flex align-items-center flex-grow-1">
                @if($patient->has_rm_setup_been_performed)
                    <span class="text-nowrap text-success">
                        <i class="fa fa-check"></i>
                        <b>Performed</b>
                    </span>
                    @if($careMonth->was_rm_setup_performed)
                        <div moe class="ml-3">
                            <a href="" show start>Undo</a>
                            <form url="/api/careMonth/undoMarkRmSetupPerformed">
                                <input type="hidden" name="uid" value="{{$careMonth->uid}}">
                                <p>Mark RM Setup as not performed?</p>
                                <div class="mb-0">
                                    <button class="btn btn-primary btn-sm" submit>Submit</button>
                                    <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                    @endif
                @else
                <span class="text-nowrap text-warning-mellow">
                    <i class="fa fa-times"></i>
                    <b>Not Performed</b>
                </span>
                <div moe class="ml-3">
                    <a href="" show start>Mark RM setup as performed?</a>
                    <form url="/api/careMonth/markRmSetupPerformed">
                        <input type="hidden" name="uid" value="{{$careMonth->uid}}">
                        <p>Mark RM setup as performed?</p>
                        <div class="mb-0">
                            <button class="btn btn-primary btn-sm" submit>Submit</button>
                            <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                        </div>
                    </form>
                </div>
                @endif
            </div>
        </div>

        @if($careMonth->was_rm_setup_performed)
            <div class="d-flex align-items-center">
                <span class="min-width-140px">RM Setup Claim:</span>
                <div class="d-inline-flex align-items-center flex-grow-1">
                    @if(!!$careMonth->rmSetupClaim)
                    <span class="text-nowrap text-success">
                        <i class="fa fa-check"></i>
                        <b>Created</b>
                    </span>
                    @else
                    <span class="text-nowrap text-warning-mellow">
                        <i class="fa fa-times"></i>
                        <b>Not Created</b>
                    </span>
                    <div moe class="ml-3">
                        <a href="" show start>Generate</a>
                        <form url="/api/careMonth/generateRmSetupClaim">
                            <input type="hidden" name="uid" value="{{$careMonth->uid}}">
                            <p>Generate RM setup claim?</p>
                            <div class="mb-0">
                                <button class="btn btn-primary btn-sm" submit>Submit</button>
                                <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                            </div>
                        </form>
                    </div>
                    @endif
                </div>
            </div>
        @endif

    </div>
@endif
