<?php if ($point->last_child_plan_point_id && $point->last_child_plan_data): ?>
    <?php $parsedPlan = json_decode($point->last_child_plan_data); ?>
    <div class="<?= !@$flat && $point->last_child_plan_point_scoped_note_id === $note->id ? 'bg-warning-mellow p-2 rounded' : '' ?>">
        <div>
            <div class="inline-html-container">
                <?php if(@$parsedPlan->value): ?>
                    <div><b class="text-sm">Freq:</b> <?= trim(strip_tags($parsedPlan->value)) ?></div>
                <?php endif; ?>
            </div>
        </div>
        <span class="screen-only">
        <?php if ($point->last_child_plan_point_scoped_note_id === $patient->core_note_id): ?>
            <span class="text-sm">(updated on the patient's chart)</span>
        <?php else: ?>
            <?php if ($point->last_child_plan_point_scoped_note_id === $note->id): ?>
                <span class="text-sm">(updated on this note)</span>
            <?php else: ?>
                <?php if(!@$summaryView): ?>
                    <div class="d-inline position-relative on-click-menu">
                        <span class="text-sm text-secondary c-pointer">
                            <?= relative_friendly_date($point->last_child_plan_effective_date) ?>
                            <?php if($point->last_child_plan_creator): ?>
                                by <?= $point->last_child_plan_creator ?>
                            <?php endif; ?>
                        </span>
                        <div menu right class="bg-white border">
                            <a native target="_blank"
                               href="/patients/view/<?= $patient->uid ?>/notes/view/<?= $point->last_child_plan_note_uid ?>"
                               class="px-2 py-1 d-block text-nowrap text-sm">Go to note</a>
                        </div>
                    </div>
                <?php else: ?>
                    <span class="text-sm text-secondary">
                        <?= relative_friendly_date($point->last_child_plan_effective_date) ?>
                        <?php if($point->last_child_plan_creator): ?>
                            by <?= $point->last_child_plan_creator ?>
                        <?php endif; ?>
                    </span>
                <?php endif; ?>
            <?php endif; ?>
        <?php endif; ?>
        </span>
    </div>
<?php else: ?>
    <div class="inline-html-container text-secondary text-sm">-</div>
<?php endif; ?>
