<p class="mb-2"><b>Current Non-Exercise Activity Time (NEAT)</b></p>

<label class="mb-2 d-flex align-items-center">
    <input type="checkbox" data-name="active" <?= @($currentValue->active) ? 'checked' : ''?>>
    <span class="ml-2">Record Non-Exercise Activity Time (NEAT)</span>
</label>

<div if-active>
    <label class="mb-2 d-flex align-items-baseline">
        <input type="checkbox" data-name="parkAway" <?= @($currentValue->parkAway) ? 'checked' : ''?>>
        <span class="ml-2">Currently parks away from entrances</span>
    </label>
    <label class="mb-2 d-flex align-items-baseline">
        <input type="checkbox" data-name="stairsInsteadOfElevators" <?= @($currentValue->stairsInsteadOfElevators) ? 'checked' : ''?>>
        <span class="ml-2">Currently takes the stairs instead of elevator/escalator</span>
    </label>
    <label class="mb-2 d-flex align-items-baseline">
        <input type="checkbox" data-name="standInsteadOfSit" <?= @($currentValue->standInsteadOfSit) ? 'checked' : ''?>>
        <span class="ml-2">Currently prefers standing over sitting</span>
    </label>
    <div class="row mb-2">
        <div class="col-6">
            <label class="mb-1">Current steps/day</label>
            <input type="text" data-name="stepsGoals" class="form-control form-control-sm" value="<?= @($currentValue->stepsGoals) ?>">
        </div>
    </div>
</div>

<div class="mb-2">
    <label for="" class="mb-1">Memo</label>
    <div note-rte slim-rte
         class="form-group mb-2 border-left border-right rte-holder"
         data-container-name="<?= $point ? 'data' : 'childReviewData' ?>"
         data-field-name="memo"><?= @($currentValue->memo) ?></div>
</div>
