<?php

use App\Models\Point;

$category = 'MEDICATION_COMMENTS';
$endPoint = 'upsertNoteSingleton';

$point = Point::where('added_in_note_id', $note->id)->where('category', $category)->orderBy('id', 'DESC')->first();
$parsed = null;
if (!!@$point->data) {
    $parsed = json_decode($point->data);
}
?>
<div visit-moe close-on-save close-on-cancel class="d-block">
    <form show url="/api/visitPoint/<?= $endPoint ?>" class="mcp-theme-1">
        <input type="hidden" name="segmentUid" value="<?= $segment->uid ?>">
        <input type="hidden" name="category" value="<?= $category ?>">
        <input type="hidden" name="data">
        <div note-rte
             class="form-group mb-2 border-left border-right rte-holder"
             data-field-name="free_text"
        ><?= $parsed && @$parsed->free_text ? $parsed->free_text : '' ?></div>
        <label class="mb-2 d-flex align-items-center">
            <input type="checkbox" data-name="explained" {{@$parsed->explained ? 'checked' : ''}}>
            <span class="ml-2">Changes in medication were explained to patient, including purpose, dosage, directions, side effects, risks, benefits, and options.</span>
        </label>
        <div class="mb-2 w-50">
            <div class="mb-1">Assessment:</div>
            <input type="text" data-name="assessment" class="form-control form-control-sm" value="{{@$parsed->assessment}}">
        </div>
        <div class="m-2">
            <button submit class="btn btn-sm btn-primary mr-2"><i class="fa fa-save"></i></button>
            <div class="d-inline-flex align-self-stretch align-items-center">
                <span class="autosave-indicator saving text-sm text-secondary">Saving changes &hellip;</span>
                <span class="autosave-indicator saved text-sm text-secondary">
                    <i class="fa fa-check"></i>
                    Saved
                </span>
            </div>
        </div>
    </form>
</div>