@if($point->state === 'ACTIVE')
    @if($point->added_in_note_id === $note->id && $point->addition_reason_category === 'DURING_VISIT')
        <div class="text-sm text-secondary">{{@$addedVerb ?: 'Added'}} During Visit</div>
    @elseif($point->added_in_note_id === $note->id && $point->addition_reason_category === 'ON_INTAKE')
        <div class="text-sm text-secondary">New Record - Pre-existing</div>
    @elseif($point->added_in_note_id !== $note->id)
        <!--<div class="text-sm text-secondary">Record Present Before Visit</div>-->
    @endif
@elseif($point->state === 'HISTORIC')
    @if($point->removed_in_note_id === $note->id && $point->removal_reason_category === 'DURING_VISIT')
        <div class="text-sm text-secondary">{{@$removedVerb ?: 'Removed'}}  During Visit</div>
        @if($point->added_in_note_id === $note->id && $point->addition_reason_category === 'ON_INTAKE')
            <div class="text-sm text-secondary">(New Historic Record)</div>
        @endif
    @elseif($point->removed_in_note_id === $note->id && $point->removal_reason_category === 'ON_INTAKE')
        <div class="text-sm text-secondary">Marked Historic</div>
        @if($point->added_in_note_id === $note->id && $point->addition_reason_category === 'ON_INTAKE')
            <div class="text-sm text-secondary">(New Historic Record)</div>
        @endif
    @elseif($point->removed_in_note_id !== $note->id)
        <div class="text-sm text-secondary">Historic Record Removed in a Previous Visit</div>
    @endif
@elseif($point->state === 'ENTRY_ERROR')
    @if($point->removed_in_note_id === $note->id)
        <div class="text-sm text-danger">Marked as Entry Error During Visit</div>
    @endif
@endif
