<div style="padding:0 15px;font-family:sans-serif;text-align:justify;">
    <h2><strong>
            <center>Leadership Health LLC</center>
        </strong></h2>
    <h3><strong>
            <center>Engagement Agreement</center>
        </strong></h3>
    <p style="line-height:25px;"><span style="margin-left:80px;"></span> This Engagement Agreement
        (<b>"Agreement"</b>) is entered into as of {company_pro_document.created_at} <b>("Effective Date");</b> by
        and between <b>Leadership Health LLC;</b> a Maryland LLC, its subsidiaries, parents,
        affiliates, successor {company.address} (<b>"Company"</b>) and {Your Legal Name}
        with a residence and/or place of business at {Your Physical Address} (<b>"Contractor"</b>).</p>

    <ol>
        <li style="line-height:25px;margin-bottom:12px;"><b>Services.</b>
            <ol>
                <li style="display:block;line-height:25px;margin-bottom:8px;">1.1 <b style="margin-left:8px;">Nature
                            of Services.</b> Contractor will perform the services, as more particularly described
                    on Exhibit A, as an independent contractor (the <b>“Services”</b>). To the extent the Services
                    include materials subject to copyright, Contractor agrees that the Services are done as “work made
                    for hire” as that term is defined under U.S. copyright law, and that as a result, Company will own
                    all copyrights in the Services. Contractor will perform such services in accordance with the
                    schedule, if any, set forth in Exhibit A. Except as specified on Exhibit A, Company agrees that
                    Contractor's services need not be rendered at any specific location and may be rendered at any
                    location selected by Contractor. </li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">1.2 <b style="margin-left:8px;">Relationship of the Parties.</b> Contractor enters into this
                    Agreement as, and shall continue to be, an independent contractor. All Services shall be performed
                    only by Contractor. Under no circumstances shall Contractor look to Company as his/her employer, or
                    as a partner, agent or principal. Contractor shall not be entitled to any benefits accorded to
                    Company's employees, including without limitation worker's compensation, disability insurance,
                    vacation or sick pay.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">1.3 <b style="margin-left:8px;">Compensation and Reimbursement.</b> Contractor shall be
                    compensated and reimbursed for the Services as set forth on Exhibit B. Completeness of work product
                    shall be determined by Company in its sole discretion, and Contractor agrees to make all revisions,
                    additions, deletions or alterations as requested by Company. No other fees and/or expenses will be
                    paid to Contractor, unless such fees and/or expenses have been approved in advance by the
                    appropriate Company executive in writing. Contractor shall be solely responsible for any and all
                    taxes, Social Security contributions or payments, disability insurance, unemployment taxes, and
                    other payroll type taxes applicable to such compensation. Contractor hereby indemnifies and holds
                    Company harmless from, any claims, losses, costs, fees, liabilities, damages or injuries suffered by
                    Company arising out of Contractor's failure with respect to its obligations in this Section 1.3.
                </li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">1.4 <b style="margin-left:8px;">Notice.</b> Contractor shall promptly notify Company of any
                    information received by Contractor which Contractor has reason to believe may lead to: (i) a claim
                    against Contractor’s liability insurance; or (ii) an investigation of Contractor’s qualifications to
                    provide services to individuals by any third party (government or private). </li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">1.5 <b style="margin-left:8px;">Company’s Compliance Program.</b> Contractor acknowledges that
                    Company may establish one or more compliance programs that govern how Company complies with
                    applicable laws, rules, and regulations. Contractor agrees to become familiar with and comply with
                    all applicable provisions of such compliance programs; so long as Company provides notice of such
                    compliance programs prior to implementation. Contractor further agrees to immediately notify Company
                    of any violation of such compliance programs of which Contractor becomes aware.</li>
            </ol>
        </li>

        <li style="line-height:25px;margin-bottom:12px;"><b>Protection of Company's Confidential
                    Information.</b>
            <ol>
                <li style="display:block;line-height:25px;margin-bottom:8px;">2.1 <b style="margin-left:8px;">Confidential Information</b>. Company now owns and will
                    hereafter develop, compile and own certain proprietary techniques, trade secrets, and confidential
                    information which have great value in its business (collectively, <b>“Company Information”</b>).
                    Company will be disclosing Company Information to Contractor during Contractor's performance of the
                    Services. Company Information includes not only information disclosed by Company, but also
                    information developed or learned by Contractor during Contractor's performance of the Services.
                    Company Information is to be broadly defined and includes all information which has or could have
                    commercial value or other utility in the business in which Company is engaged or contemplates
                    engaging or the unauthorized disclosure of which could be detrimental to the interests of Company,
                    whether or not such information is identified by Company. By way of example and without limitation,
                    Company Information includes any and all information concerning discoveries, developments, designs,
                    improvements, inventions, formulas, software programs, processes, techniques, know-how, data,
                    research techniques, customer and supplier lists, marketing, sales or other financial or business
                    information, scripts, and all derivatives, improvements and enhancements to any of the above.
                    Company Information also includes third-party information which is in Company's possession under an
                    obligation of confidential treatment. Through their association with Company, Contractor will also
                    have access to confidential Patient information, both written and oral, in the course of their job
                    responsibilities. Patient information in any form (paper, electronic, oral, etc.) is protected by
                    law. Contractor shall require hereunder to sign a copy of the acknowledgement form attached hereto
                    as Exhibit C.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">2.2 <b style="margin-left:8px;">Protection of Company Information.</b> Contractor agrees that
                    at all times during or subsequent to the performance of the Services, Contractor will keep company
                    information confidential and not divulge, communicate, or use Company Information, except for
                    Contractor's own use during the Term of this Agreement to the extent necessary to perform the
                    Services. Contractor further agrees not to cause the transmission, removal or transport of tangible
                    embodiments of, or electronic files containing Company Information from Company's principal place of
                    business, without prior written approval of Company. It is imperative that this information is not
                    disclosed to any unauthorized individuals to maintain the integrity of the patient information. An
                    unauthorized individual would be any person that is not currently an employee and/or contractor of
                    the Company. Any other disclosures by Contractor and all its personnel such as employees,
                    sub-contractors, agents, representatives, partner etc., may only occur at the written direction of
                    the Company’s Privacy Office. </li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">2.3 <b style="margin-left:8px;">Exceptions.</b> Contractor's obligations with respect to any
                    portion of the Company Information as set forth above shall not apply when Contractor can document
                    that (i) it was in the public domain at the time it was communicated to Contractor by Company; (ii)
                    it entered the public domain subsequent to the time it was communicated to Contractor by Company
                    through no fault of Contractor; (iii) it was in Contractor's possession free of any obligation of
                    confidence at the time it was communicated to Contractor by Company; or (iv) it was rightfully
                    communicated to Contractor free of any obligation of confidence subsequent to the time it was
                    communicated to Contractor by Company. </li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">2.4 <b style="margin-left:8px;">Company Property.</b> All materials, including without
                    limitation documents, drawings, drafts, notes, designs, computer media, electronic files and lists,
                    including all additions to, deletions from, alterations of, and revisions in the foregoing (together
                    the <b>“Materials”</b>), which are furnished to Contractor by Company or which are developed in the
                    process of performing the Services, or embody or relate to the Services, the Company Information or
                    the Innovations, are the property of Company, and shall be returned by Contractor to Company
                    promptly at Company's request together with any copies thereof, and in any event promptly upon
                    expiration or termination of this Agreement for any reason. Contractor is granted no rights in or to
                    such Materials, the Company Information or the Innovations, except as necessary to fulfill its
                    obligations under this Agreement. Contractor shall not use or disclose the Materials, Company
                    Information or Innovations to any third party.</li>
            </ol>
        </li>

        <li style="line-height:25px;margin-bottom:12px;"><b>Termination of Agreement.</b>
            <ol>
                <li style="display:block;line-height:25px;margin-bottom:8px;">3.1 <b>Term.</b> This Agreement
                    shall be effective from the date first listed above for the period set forth on Exhibit A, as
                    applicable, unless sooner terminated by either party in accordance with the terms and conditions of
                    this Agreement (<b>“Term”</b>). This Agreement is terminable by either party at any time, with or
                    without cause, effective upon notice to the other party. If Company exercises its right to terminate
                    the Agreement, any obligation it may otherwise have under this Agreement shall cease immediately,
                    except that Company shall be obligated to compensate Contractor for work performed up to the time of
                    termination. If Contractor exercises its right to terminate the Agreement, any obligation it may
                    otherwise have under this Agreement shall cease immediately. Additionally, this Agreement shall
                    automatically terminate upon Contractor’s death. In such event, Company shall be obligated to pay
                    Contractor’s estate or beneficiaries only the accrued but unpaid compensation and expenses due as of
                    the date of death.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">3.2 <b>Continuing Obligations of
                            Contractor.</b> The provisions of Sections 2 (as relates to Protection of Company’s
                    Confidential Information), 3.2, 4 and 5 shall survive expiration or termination of this Agreement
                    for any reason.</li>
            </ol>
        </li>
        <li style="line-height:25px;margin-bottom:12px;"><b>Covenants.</b>
            <ol>
                <li style="display:block;line-height:25px;margin-bottom:8px;">4.1 <b>Covenant Not to
                            Compete.</b> As a material term of and in consideration of Company’s engagement of
                    Contractor, Contractor agrees as follows. During the term of this Agreement and for a period of two
                    (2) years following termination hereof, Contractor agrees not to directly or indirectly form,
                    develop, create, become associated with, or otherwise participate in another business venture that
                    provides services similar to those of the Company.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">4.2 <b>Reasonableness of
                            Restrictions.</b> Contractor has carefully read and considered the restrictions set
                    forth in this Section 4 and, having done so, agrees that the restrictions set forth herein are fair
                    and reasonable and are reasonably required for the protection of the interests of Company.
                    Notwithstanding the foregoing, in the event any part of the provisions or covenants set forth in
                    this Section 4 hereof shall be held to be invalid or unenforceable; the remaining parts thereof
                    shall nevertheless continue to be valid and enforceable as though the invalid and unenforceable part
                    had not been included therein. In the event that any provision of this Section 4 relating to the
                    time period of restriction shall be declared by a court of competent jurisdiction to exceed the
                    maximum time period such court deems reasonable and enforceable, said time period shall be deemed to
                    become and thereafter be the maximum time period in which the court deems reasonable and
                    enforceable. It is also understood and agreed between Company and Contractor that this covenant
                    shall be construed as an agreement independent of any other provision of this Agreement and the
                    existence of any claim or cause of action whether predicated on this Agreement or otherwise shall
                    not constitute a defense to the enforcement by one party against the other party of the covenants
                    contained in this Section 4.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">4.3 <b>Covenants of Company.</b>
                    Company hereby represents and warrants that Company is duly organized and validly existing limited
                    liability company under the laws of the State of Maryland, duly registered to do business and in
                    good standing under the laws of the State of Maryland; and Company hereby represents that it has
                    full power, capacity and legal authority to enter into this Agreement.</li>
            </ol>
        </li>
        <li style="line-height:25px;margin-bottom:12px;"><b>Additional Provisions.</b>
            <ol>
                <li style="display:block;line-height:25px;margin-bottom:8px;">5.1 <b style="margin-left:8px;">Governing Law and Attorney's Fees.</b> This Agreement shall be
                    governed by and construed in accordance with the laws of the State of Maryland, USA without regard
                    to its choice of law principles. The parties consent to exclusive jurisdiction and venue in the
                    federal and state courts sitting in the State of Maryland. In any action or suit to enforce any
                    right or remedy under this Agreement or to interpret any provision of this Agreement, the prevailing
                    party shall be entitled to recover its reasonable attorney’s fees, costs and other expenses. </li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">5.2 <b style="margin-left:8px;">Non-Exclusive; Other Contractors/Services.</b> This Agreement
                    is non-exclusive and Company is free to obtain the same or similar services from other providers.
                    Contractor is also free to provide services to other, non-Company Contractors; provided that
                    Contractor does not violate the provisions of Section 4 hereof, and provided that the provision of
                    such services to others does not create a conflict of interest for Contractor. Company is not
                    obligated to provide Contractor with any fixed amount of work or guaranteed or minimum number of
                    Contractor service opportunities.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">5.3 <b style="margin-left:8px;">Binding Effect.</b> This Agreement shall be binding upon, and
                    inure to the benefit of, the successors, executors, heirs, representatives, administrators and
                    permitted assigns of the parties hereto. Contractor shall have no right to (a) assign this
                    Agreement, by operation of law or otherwise; or (b) subcontract or otherwise delegate the
                    performance of the Services without Company’s prior written consent which may be withheld as Company
                    determines in its sole discretion. Any such purported assignment shall be void.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">5.4 <b style="margin-left:8px;">Severability.</b> If any provision of this Agreement shall be
                    found invalid or unenforceable, the remainder of this Agreement shall be interpreted so as best to
                    reasonably effect the intent of the parties. </li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">5.5 <b style="margin-left:8px;">Entire
                            Agreement.</b> This Agreement, including the Exhibits, constitutes the entire
                    understanding and agreement of the parties with respect to its subject matter and supersedes all
                    prior and contemporaneous agreements or understandings, inducements or conditions, express or
                    implied, written or oral, between the parties.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">5.6 <b style="margin-left:8px;">Injunctive Relief.</b> Contractor acknowledges and agrees that
                    in the event of a breach or threatened breach of this Agreement by Contractor, Company will suffer
                    irreparable harm and will therefore be entitled to injunctive relief to enforce this Agreement.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">5.7 <b style="margin-left:8px;">Contractor's Remedy.</b> Contractor’s remedy, if any, for any
                    breach of this Agreement shall be solely in damages and Contractor shall look solely to Company for
                    recover of such damages. Contractor waives and relinquishes any right Contractor may otherwise have
                    to obtain injunctive or equitable relief against any third party with respect to any dispute arising
                    under this Agreement. Contractor shall look solely to Company for any compensation which may be due
                    to Contractor hereunder.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">5.8 <b style="margin-left:8px;">Agency.</b> Contractor is not Company’s agent or
                    representative and has no authority to bind or commit Company to any agreements or other
                    obligations.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">5.9 <b style="margin-left:8px;">Amendment and Waivers.</b> Any term or provision of this
                    Agreement may be amended, and the observance of any term of this Agreement may be waived, only by a
                    writing signed by the party to be bound. The waiver by a party of any breach or default in
                    performance shall not be deemed to constitute a waiver of any other or succeeding breach or default.
                    The failure of any party to enforce any of the provisions hereof shall not be construed to be a
                    waiver of the right of such party thereafter to enforce such provisions.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">5.10 <b style="margin-left:8px;">Time.</b> Contactor agrees that time is of the essence in this
                    Agreement.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">5.11 <b style="margin-left:8px;">Notices.</b> Any notice, demand, or request with respect to
                    this Agreement shall be in writing and shall be effective only if it is delivered by personal
                    service, by air courier with receipt of delivery, or mailed, certified mail, return receipt
                    requested, postage prepaid, to the address set forth above. Such communications shall be effective
                    when they are received by the addressee; but if sent by certified mail in the manner set forth
                    above, they shall be effective five (5) days after being deposited in the mail. Any party may change
                    its address for such communications by giving notice to the other party in conformity with this
                    section.</li>
            </ol>
        </li>
    </ol>
    <p style="page-break-before: always; line-height:25px;">CONTRACTOR HAS READ THIS AGREEMENT CAREFULLY AND UNDERSTANDS
        ITS TERMS. CONTRACTOR HAS ACKNOWLEDGED EXHIBIT C TO THIS AGREEMENT.</p>

    <table border="0" cellpadding="5" width="100%">
        <tr>
            <td width="50%"><b>CONTRACTOR</b></td>
            <td width="50%"><b>COMPANY</b></td>
        </tr>
        <tr>
            <td width="50%">
                <div style="margin-top:20px;">
                    <img src="{company_pro_document.pro_signatures}" style="min-height: 40px; max-height: 40px" onerror="this.style.opacity = 0">&nbsp;
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">SIGNATURE OF CONTRACTOR</p>
            </td>
            <td width="50%">
                <div style="margin-top:20px;">
                    <img src="{*company.authorized_signer_signature_base64}" style="min-height: 40px; max-height: 40px" onerror="this.style.opacity = 0">&nbsp;
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">SIGNATURE OF COMPANY OFFICIAL</p>
            </td>
        </tr>
        <tr>
            <td width="50%">
                <div style="margin-top:20px;">
                    {Your Legal Name}&nbsp;
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">CONTRACTOR (Print Name</p>
            </td>
            <td width="50%">
                <div style="margin-top:20px;">
                    {*company.authorized_signer_name}, &nbsp;{*company.authorized_signer_title}
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">COMPANY OFFICIAL (Print Name & Title)</p>
            </td>
        </tr>
        <tr>
            <td width="50%">
                <div style="margin-top:20px;">
                    {company_pro_document.pro_signed_at}&nbsp;
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">DATE</p>
            </td>
            <td width="50%">
                <div style="margin-top:20px;">
                    {*company_pro_document.hrm_pro_counter_signed_at}&nbsp;
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">DATE</p>
            </td>
        </tr>
    </table>

    <h4 style="page-break-before: always; text-align: center"><strong>EXHIBIT A</strong></h4>
    <p style="text-align: center"><strong>Description of Services</strong></p>
    <p style="line-height:25px;"><span style="margin-left:80px;"></span> This Engagement Agreement
        ("Agreement") is entered into as of {company_pro_document.created_at}<b>("Effective Date");</b> by and
        between <b>Leadership Health LLC;</b> a Maryland LLC, its subsidiaries, parents, affiliates,
        successors and assigns (<b>"Company"</b>) and {Your Legal Name} (<b>"Contractor"</b>).</p>
    <p style="line-height:25px;"><b>Services to be provided by Contractor</b> may include but are not limited to:</p>
    <ul>
        <li>Care coordination and administrative services.</li>
        <li>Chart review and follow-up assistance.</li>
        <li>Patient scheduling.</li>
        <li>Remote monitoring equipment support.</li>
        <li>Assisting management with other tasks associated with overall business success.</li>
        <li>Additional tasks will be added with associated budgets for completion and accordingly reimbursed for the
            Services from time to time by Company.</li>
    </ul>
    <p style="line-height:25px;"><b>Term of Agreement:</b> The initial period of your association with the
        Company shall be 1-year commencing from Effective Date, and shall automatically renew unless notice by one of
        the parties is given seven (7) days in advance.</p>

    <table border="0" cellpadding="5" width="100%">
        <tr>
            <td width="50%"><b>CONTRACTOR</b></td>
            <td></td>
        </tr>
        <tr>
            <td width="50%">
                <div style="margin-top:20px;">
                    <img src="{company_pro_document.pro_signatures}" style="min-height: 40px; max-height: 40px" onerror="this.style.opacity = 0">&nbsp;
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">SIGNATURE OF CONTRACTOR</p>
            </td>
            <td></td>
        </tr>
        <tr>
            <td width="50%">
                <div style="margin-top:20px;">
                    {Your Legal Name}&nbsp;
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">CONTRACTOR (Print Name)</p>
            </td>
            <td></td>
        </tr>
        <tr>
            <td width="50%">
                <div style="margin-top:20px;">
                    {company_pro_document.pro_signed_at}&nbsp;
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">DATE</p>
            </td>
            <td></td>
        </tr>
    </table>


    <h4 style="page-break-before: always; text-align: center"><strong>EXHIBIT B</strong></h4>
    <p style="text-align: center"><strong>Payment</strong></p>
    <p style="line-height:25px;"><span style="margin-left:80px;"></span> This Engagement Agreement
        ("Agreement") is entered into as of {company_pro_document.created_at}</u><b>("Effective Date");</b> by and
        between <b>Leadership Health LLC;</b> a Maryland LLC, its subsidiaries, parents, affiliates,
        successors and assigns (<b>"Company"</b>) and {Your Legal Name}</u> (<b>"Contractor"</b>).</p>

    <ol>
        <li style="line-height:25px;margin-bottom:12px;"><b>Compensation:</b>
            <ol>
                <li style="display:block;line-height:25px;margin-bottom:8px;"><b>1.1</b> Compensation for services
                    rendered shall be according to a predetermined and services set forth in Exhibit A. Contractor shall
                    receive from Company ${@Hourly Rate Number}</u> ({@Hourly Rate Words}</u>) and/or part of thereof for every
                    hour</u> of work performed, which shall be due and payable to Contractor in
                    accordance with Company’s standard payroll practices subject to the approval of time-sheets and/or
                    approval of invoices by the direct supervisor of the Contractor. Company reserves the right to
                    reject time-sheets, hours submitted and/or invoice submitted that do not conform to Company’s
                    compliance adherence, applicable laws, rules, regulations and documentation standards. Contractor
                    acknowledges that such non-compliant services may not be eligible for compensation.
                </li>
            </ol>
        </li>
        <li style="line-height:25px;margin-bottom:12px;"><b>Expenses:</b>
            <ol>
                <li style="display:block;line-height:25px;margin-bottom:8px;"><b>2.1</b> Contractor shall not be
                    entitled for any expense reimbursement unless pre-authorized by Company officials.</li>
            </ol>
        </li>
    </ol>

    <table border="0" cellpadding="5" width="100%">
        <tr>
            <td width="50%"><b>CONTRACTOR</b></td>
            <td></td>
        </tr>
        <tr>
            <td width="50%">
                <div style="margin-top:20px;">
                    <img src="{company_pro_document.pro_signatures}" style="min-height: 40px; max-height: 40px" onerror="this.style.opacity = 0">&nbsp;
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">SIGNATURE OF CONTRACTOR</p>
            </td>
            <td></td>
        </tr>
        <tr>
            <td width="50%">
                <div style="margin-top:20px;">
                    {Your Legal Name}&nbsp;
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">CONTRACTOR (Print Name)</p>
            </td>
            <td></td>
        </tr>
        <tr>
            <td width="50%">
                <div style="margin-top:20px;">
                    {company_pro_document.pro_signed_at}&nbsp;
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">DATE</p>
            </td>
            <td></td>
        </tr>
    </table>


    <h4 style="page-break-before: always; text-align: center"><strong>EXHIBIT C</strong></h4>
    <p style="text-align: center;margin-bottom:1px;"><strong>Confidentiality Acknowledgement</strong></p>

    <ol>
        <li><b>HIPPA CONFIDENTIALITY:</b>
            <p style="line-height:25px;margin-top:5px;margin-top:5px;">Through my association/engagement with <b>Leadership Health LLC</b>; including all its
                subsidiaries, parents, affiliates, successors, assigns & clients; ("Company"), as an independent
                contractor, I "{Your Legal Name}</u>" understand that patient information in any form (paper,
                electronic, oral, etc.) is protected by law and that breaches of patient confidentiality can have
                ramifications up to and including termination of my contract/association/engagement with Company as well
                as possible civil and criminal penalties as related to HIPPA. (Health Insurance Portability Protection
                Act). I will only access, use or disclose what is necessary to carry out my assigned duties. I will not
                improperly divulge any information which comes to me through the carrying out of my assigned duties,
                program assignment or observation.</p>
            <p style="line-height:25px;">This includes but not limited to:</p>
            <ol>
                <li style="display:block;line-height:25px;margin-bottom:8px;">1.1 I will not discuss information
                    pertaining to any patient with anyone (even my own family) who is not directly working with said
                    patient.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">1.2 I will not discuss any patient
                    information in any place where it can be overheard by anyone who is not authorized to have this
                    information.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">1.3 I will not mention any patient's name
                    or disclose directly or indirectly that any person is a patient except to those authorized to have
                    this information.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">1.4 I will not describe any behavior which
                    I have observed or learned about through association with Company or its clients, except to those
                    authorized to have this information.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">1.5 I will not contact any individual or
                    agency outside Company or its clients to get personal information about an individual patient unless
                    a release of information has been signed by the patient or by someone who has been legally
                    authorized by the patient to release information.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">1.6 I will not use confidential Company or
                    its client's business-related information in any manner not required by my job or disclose it to
                    anyone not authorized to have or know it.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">1.7 I will not access a co-worker's,
                    family member's or my own medical record unless I am directly working with the said patient or
                    instructed by authorized personnel.</li>
                <li style="display:block;line-height:25px;margin-bottom:8px;">1.8 I will not transfer, copy or scan any
                    patient health information unless approved by Company Director or authorized personnel.</li>
            </ol>
        </li>

        <li><b>COMPUTER SECURITY ACKNOWLEDGEMENT</b>
            <p style="line-height:25px;margin-top:5px;">I understand my password and user ID create a unique user account and that
                Company and/or client, reserves the right to monitor my activity within any application. I understand I
                am accountable for any activity within the application linked to my unique user account and that I may
                be questioned about my activity. I understand I will be accountable for any document or data creation or
                modification linked to my unique user account. I understand that sharing my password, using someone
                else’s password or signing on for others to use the application are all breaches of security, patient
                confidentiality and my computer security procedures (such as signing off, not sharing passwords, etc.)
                to protect information maintained electronically from being accessed by an unauthorized user.</p>
        </li>

        <li><b>INTERNET SECURITY ACKNOWLEDGEMENT</b>
            <p style="line-height:25px;margin-top:5px;">I am familiar with the Internet and e-mail security policies and I agree to
                abide by them. I am aware that my unauthorized or inappropriate use of the Internet may result in
                disciplinary action up to and including termination. I further acknowledge my responsibility to keep my
                password confidential and in the event of a suspected compromise or a security problem, I will
                immediately notify the authorized personnel. In addition, when sending files or attachments via email, I
                will observe all Company's and/or client's security and confidentiality policies. (See HIPPA guidelines
                above).</p>
            <p style="line-height:25px;">I understand that the privilege of using the Internet and e-mail may not be
                granted to me in the future and that if granted is to be used for business reasons only.</p>
        </li>
    </ol>

    <p style="line-height:25px;">By affixing my signature below, I acknowledge and accept all policies and procedures
        related to HIPPA confidentiality, computer security and internet security. Failure to abide by these policies
        may result in disciplinary action up to and including termination as well as possible civil and criminal
        penalties.</p>

    <table border="0" cellpadding="5" width="50%">
        <tr>
            <td width="50%"><b>CONTRACTOR</b></td>
        </tr>
        <tr>
            <td width="50%">
                <div style="margin-top:20px;">
                    <img src="{company_pro_document.pro_signatures}" style="min-height: 40px; max-height: 40px" onerror="this.style.opacity = 0">&nbsp;
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">SIGNATURE OF CONTRACTOR</p>
            </td>
        </tr>
        <tr>
            <td width="50%">
                <div style="margin-top:20px;">
                    {Your Legal Name}&nbsp;
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">CONTRACTOR (Print Name)</p>
            </td>
        </tr>
        <tr>
            <td width="50%">
                <div style="margin-top:20px;">
                    {company_pro_document.pro_signed_at}&nbsp;
                </div>
                <hr style="margin: 3px 0; border-color: #222; border-top-width: 0; border-bottom-width: 1px">
                <p style="margin-top:5px;">DATE</p>
            </td>
        </tr>
    </table>


</div>
