<div style="text-align:justify">
  <h3><strong>
          <center><i>{@PRACTICE ENTITY NAME}</i></center>
      </strong></h3>
  <h3><strong>
          <center><i>HCP ENGAGEMENT AGREEMENT</i></center>
      </strong></h3>
  <p style="line-height:25px;">
      THIS HCP ENGAGEMENT AGREEMENT (this “Agreement”) is effective as of <b><u>{Effective Date}</u></b> ("<b>Effective
          Date</b>") between {@Company Name}, a {@Company Type}, its subsidiaries, parents, affiliates, successors and
      assigns (“<b>Practice</b>”),
      and <b><u>{pro.name_first} {pro.name_last}</u></b> ("HCP").
  </p>

  <p style="line-height:25px;">WHEREAS, Practice performs healthcare/treatment services through licensed HCPs and other
      clinicians;</p>
  <p style="line-height:25px;">WHEREAS, HCP has experience providing healthcare/treatment services in a healthcare and/or
      telehealth practice setting;
  </p>

  <p style="line-height:25px;">WHEREAS, Practice requires expertise such as that possessed by HCP to operate its business;
      and</p>
  <p style="line-height:25px;">WHEREAS, Practice wishes to engage HCP to provide treatment services under this Agreement,
      and HCP wishes to accept such engagement.</p>
  <p style="line-height:25px;">NOW, THEREFORE, in consideration of the foregoing representations, and the mutual covenants
      and agreements contained herein, it is understood and agreed by and between the parties as follows:
  </p>
  <ol>
      <li>
          <p style="line-height:25px;"><u>Engagement.</u></p>
          <p style="line-height:25px;"><span style="margin-right:10px;">1.1</span> <u>In General.</u> Practice hereby
              engages HCP to provide patient treatment services and such other administrative and supervisory services as
              specified herein and HCP hereby accepts such engagement. Treatment services are defined as those rendered
              and appropriately documented as per guidelines from the Centers for Medicare and Medicaid Services (CMS)
              specified herein (the “<b>Services</b>”). Other administrative and supervisory services, if any, are
              described in more detail in the attached <u>Schedule 1.</u></p>

          <p style="line-height:25px;"><span style="margin-right:10px;">1.2</span> <u> Independent Contractor.</u> At all
              times during the performance of services pursuant to this Agreement, HCP shall be acting as an independent
              contractor. HCP shall be responsible for the payment and/or withholding of all federal, state, and local
              tax, employee benefits, and all similar taxes and deductions. Except as Practice may specifically authorize
              in writing from time to time, HCP shall not have the authority to negotiate, enter into, modify or terminate
              any contracts on behalf of Practice.</p>

          <p style="line-height:25px;"><span style="margin-right:10px;">1.3</span> <u> Billing.</u> For professional
              services that are treatment services that HCP provides, HCP authorizes Practice to bill such services using
              appropriate billing codes to the to the appropriate payor(s) following all applicable laws, rules, and
              regulations (including all applicable private medical insurance payor requirements). The Medical Advisory
              Committee of Practice reserves the right to determine and not submit billing for services that do not
              conform to applicable laws, rules, regulations and documentation standards. HCP acknowledges that such
              non-billable services may not be eligible for compensation and would not be compensated/paid to HCP by
              Practice.</p>
      </li>
      <li>
          <p style="line-height:25px;"><u>Term.</u></p>
          <p style="line-height:25px;"><span style="margin-right:10px;">2.1</span> <u> Effective Date.</u> The initial
              term of this Agreement shall begin as of the Effective Date.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">2.2</span> <u> Initial Term.</u> The initial term
              (“<b>Initial Term</b>”) of this Agreement
              shall commence upon the Effective Date and, subject to the termination provisions set forth elsewhere in
              this Agreement, shall continue for Two (2) years, unless terminated earlier as set forth elsewhere in this
              Agreement.
          </p>
          <p style="line-height:25px;"><span style="margin-right:10px;">2.3</span> <u> Renewal.</u> After the Initial
              Term, this Agreement, subject to the termination provisions set forth elsewhere in this Agreement, shall be
              renewed automatically for successive one (1) year terms (each a “<b>Renewal Term</b>”), unless one party
              gives the other party written notice prior to such renewal that the Agreement shall expire at the end of the
              Initial Term or the then current Renewal Term, as the case may be. Reference to the “Term” of this Agreement
              hereafter shall include the Initial Term and any completed, current or ensuing Renewal Term.
          </p>
      </li>
      <li>
          <p style="line-height:25px;"><u>Duties and Obligations of HCP.</u></p>
          <p style="line-height:25px;"><span style="margin-right:10px;">3.1</span> <u> General Responsibilities.</u> HCP
              shall perform those Services identified on Schedule 1 of this Agreement, which Schedule 1 is attached hereto
              and made a part hereof (the “<b>Services</b>”).
          </p>
          <p style="line-height:25px;"><span style="margin-right:10px;">3.2</span> <u> Schedule.</u> HCP shall make
              reasonable efforts to be available to perform the Services on behalf of Practice on an as-needed basis
              as-requested by Practice and mutually convenient between HCP and Practice schedules. The parties will
              cooperate with respect to scheduling coverage for the Services during extended periods of HCP unavailability
              for any reason.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">3.3</span> <u> Availability.</u> HCP will perform
              treatment Services at Practice facilities. HCP shall be available for consultation by phone to perform the
              Services at mutually convenient times between HCP and Practice schedules.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">3.4</span> <u> Standard of Care.</u> In performing
              the obligations under this Agreement, HCP shall act in good faith, efficiently, diligently, promptly and in
              accordance with prevailing standards of professional ethics, care, performance, competence and practice as
              may from time to time be applicable to HCPs and medical directors.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">3.5</span> <u> Patient-HCP Relationship.</u> HCP
              shall establish a valid Patient-HCP relationship with each patient pursuant to all applicable local, state
              and Federal laws, regulations and professional standards.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">3.6</span> <u> Practicing License & Continuing
                  Medical Education.</u> HCP shall have and maintain a valid and unrestricted license to practice/provide
              medical treatment services in all jurisdictions in which provides services for, and on behalf of, pursuant
              to the terms of this Agreement and in those states in which HCP becomes licensed to provide medical
              treatment services during the term of this Agreement. HCP shall be obligated to obtain required Continuing
              Medical Education (“CME”) in compliance with state license requirements in all states in which the HCP is
              licensed to provide professional health care services at the time of this Agreement and during the term of
              this agreement. Upon request by Practice, HCP shall provide a copy of the CME certificate to Practice or its
              designee.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">3.7</span> <u> Representations and Warranties.</u>
              HCP hereby represents and warrants the following throughout the Term of this Agreement:</p>
          <ol type="i">
              <li>
                  <p style="line-height:25px;">that HCP has never been the subject of any material disciplinary
                      investigation or proceeding before any governmental or administrative body, including but not
                      limited to any investigation by a State Board that resulted in any adverse findings against HCP.</p>
              </li>
              <li>
                  <p style="line-height:25px;">that HCP has never had a professional license revoked, limited, suspended,
                      or denied, either voluntarily or involuntarily; and</p>
              </li>
              <li>
                  <p style="line-height:25px;">that in the event that any of the preceding representations or warranties
                      become untrue during a Term, HCP shall give written notice to Practice within seven (7) business
                      days of HCP’s knowledge of such event.</p>
              </li>
          </ol>

      </li>
      <li>
          <p style="line-height:25px;"><u>Compensation.</u></p>
          <p style="line-height:25px;"><span style="margin-right:10px;">4.1</span> <u> Rate.</u> During the Term, Practice
              shall pay HCP at the rates and in the amounts designated in Schedule 2 of this Agreement for treatment
              services. Rates may be updated from time to time upon mutual agreement in writing from Practice and HCP.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">4.2</span> <u> Payment Date.</u> Reimbursement
              will be payable on the fifteenth day and the last day of each month. Practice may update payment schedules
              from time to time as per the business requirements. Practice will inform HCP 15 (fifteen) days in advance
              writing about such changes in the payment schedule. HCP may request that Practice make payments hereunder to
              HCP’s separate legal entity formed for the purposes of providing health care services.</p>
      </li>
      <li>
          <p style="line-height:25px;"><u>Termination of Engagement.</u></p>
          <p style="line-height:25px;"><span style="margin-right:10px;">5.1</span> <u> Termination by HCP.</u> HCP may
              terminate this Agreement at any time, for any reason and without cause, by providing written notice to
              Practice.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">5.2</span> <u> Termination by Practice.</u>
              Practice may terminate this Agreement, for any reason and without cause, at any time by providing written
              notice to HCP.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">5.3</span> <u> Malpractice Coverage.</u> During the Term hereof, Practice will
              provide HCP malpractice coverage under Practice’s group malpractice policy unless HCP carries
              their own malpractice coverage and submits appropriate evidence of coverage to Practice. So long
              as HCP is not terminated for a material breach of the terms of this Agreement, Practice will
              provide tail coverage for claims made concerning HCP’s services hereunder under terms reasonably
              acceptable to Practice.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">5.4</span> <u> Post-Termination Payments.</u> Upon
              any termination of this Agreement, HCP shall be entitled to the compensation earned prior to the date of
              termination. This Section 5.4 shall survive the expiration or termination of this Agreement.</p>
      </li>
      <li>
          <p style="line-height:25px;"><u>Covenant Not to Solicit/Compete.</u> HCP agrees that during the term of this
              Agreement and for two (2) years after any termination of this Agreement HCP shall not: (a) directly or
              indirectly solicit for engagement or engage (as an employee or independent contractor) any employees or
              independent contractors who were employed/engaged by Practice (or any management company that provides
              management services for Practice) at any time within six (6) months before the date of the solicitation or
              new engagement; and/or (b) directly or indirectly solicit, induce, or otherwise encourage any patients of
              the Practice to cease obtaining services from the Practice or to obtain services from any health care
              provider that offers services that are substantially similar to or the same as those offered by Practice. In
              addition, HCP acknowledges that Practice places great importance on Practice’s confidential/proprietary
              information (including Practice’s business methods/practices) and that such information is of significant
              commercial value to Practice. Accordingly, HCP covenants and agrees not to disclose any of Practice’s
              confidential/proprietary information to any other party and agrees not to directly or indirectly use such
              information to compete with Practice to provide services substantially similar to or the same as Practice.
              HCP further agrees to not sell/offer any ancillary or other products/services that are outside of those
              offered by the Practice to any patients of the Practice individually or by or through another outside
              provider. In the event that a court with jurisdiction over the parties determines that any provision of this
              Section 6 is overbroad or otherwise unenforceable, the parties agree that this Section 6 will be
              automatically reformed and adjusted to the extent necessary to make this Section 6 enforceable. This Section
              6 shall survive the expiration or termination of this Agreement.</p>
      </li>
      <li>
          <p style="line-height:25px;"><u>Miscellaneous.</u></p>
          <p style="line-height:25px;"><span style="margin-right:10px;">7.1</span> <u> Governing Law.</u> Any dispute
              arising out of or in connection with this Agreement shall be governed by the local law of the State of
              Maryland, and shall only be heard in a state or federal court located in the State of Maryland.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">7.2</span> <u> Interpretation.</u> In the event
              any federal or state law, rule or regulation, or any interpretation thereof, at any time during the term of
              this Agreement, is modified, implemented, or determined to prohibit, restrict or change a portion of this
              Agreement which impacts a party’s ability to operate on terms at least as favorable as those reasonably
              attributable as of the Effective Date, the parties shall negotiate in good faith to amend this Agreement
              accordingly. References to any statute, rule, or regulation in this Agreement shall be deemed to refer to
              such statute, rule, or regulation as amended, elaborated, or authoritatively interpreted from time to time
          </p>
          <p style="line-height:25px;"><span style="margin-right:10px;">7.3</span> <u> Invalidity of Provisions.</u> The
              invalidity or unenforceability of any immaterial term or provision or any clause or portion thereof of this
              Agreement shall in no way impair or affect the validity or enforceability of any other provisions of this
              Agreement, which shall remain in full force and effect.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">7.4</span> <u> Modification; Waiver.</u> No term
              or provision of this Agreement may be modified, amended, changed or waived, except, in the case of
              modifications, changes and amendments, pursuant to the written consent of all of the parties to this
              Agreement, and, in the case of waiver, pursuant to a writing by the person so waiving. The waiver by either
              party of any provision of this Agreement shall be applicable only to the instance or occurrence for which
              that waiver was given and shall not constitute consent or a waiver with respect to any other act, instance
              or occurrence.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">7.5</span> <u> Binding Nature of Agreement; No
                  Assignments.</u> No party hereto may assign or transfer such party’s rights or obligations hereunder
              without the prior written consent of the other party (which consent will not be unreasonably delayed,
              conditioned, or withheld). This Agreement shall be binding upon and inure to the benefit of the parties
              hereto and any permitted assigns.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">7.6</span> <u> Entire Understanding.</u> This
              Agreement shall constitute the entire understanding between the parties with respect to the subject matter
              hereof, superseding all prior agreements, drafts, and understandings, whether written or oral.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">7.7</span> <u> Third Party Beneficiaries.</u> This
              Agreement is made for the benefit of the parties only, and, other than to the extent expressly stated
              herein, no other party is an intended beneficiary of this Agreement.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">7.8</span> <u> Execution in Counterparts;
                  Electronic Delivery.</u> This Agreement may be executed and delivered in counterparts and
              electronically, including by transmission of PDF (Portable Document Format) or comparable signature images.
              An electronically executed and/or delivered counterpart or copy of this Agreement shall be effective and
              admissible as an original for all purposes.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">7.9</span> <u> Notices.</u> All notices, requests,
              demands and other communications under this Agreement shall be in writing and shall be deemed duly given (i)
              if delivered by hand or by nationally recognized overnight courier and receipted for by the party addressed,
              on the date of such receipt or (ii) if mailed by certified or registered mail with postage prepaid to the
              following address, on the third business day after the mailing date:</p>
          <table border="0" cellpadding="5" width="100%">
              <tr>
                  <td width="50%">
                      <div>
                          <p style="line-height:25px;">If to Practice to: </p>
                          <p style="line-height:25px;"><b><u>133 Rollins Ave</u></b></p>
                          <p style="line-height:25px;"><b><u>Suite 3</u></b></p>
                          <p style="line-height:25px;"><b><u>Rockville, MD 20852</u></b></p>
                      </div>
                  </td>
                  <td width="50%">
                      <div>
                          <p style="line-height:25px;">If to HCP, to:</p>
                          <p style="line-height:25px;"><b><u>{Address Line 1}</u></b></p>
                          <p style="line-height:25px;"><b><u>{Address Line 2}</u></b></p>
                          <p style="line-height:25px;"><b><u>{City}, {State} {ZIP}</u></b></p>
                      </div>
                  </td>
              </tr>
          </table>
          <p style="line-height:25px;">or to such other addresses as the party shall have notified the other party in
              accordance with this Section 7.9.
          </p>
          <p style="line-height:25px;"><span style="margin-right:10px;">7.10</span> <u> Further Assurances.</u> Each party
              shall promptly execute, acknowledge and deliver to the other party such instruments and documents reasonably
              requested by such other party to protect and preserve such other party’s rights and remedies under this
              Agreement.</p>
      </li>
  </ol>

  <p style="line-height:25px;">IN WITNESS WHEREOF, the parties hereto have
      entered this Agreement:</p>

  <table border="0" style="margin-bottom: 10px;" cellpadding="5" width="100%">
      <tr>
          <td width="50%"><b>PRACTICE:</b></td>
          <td width="50%"><b>HCP:</b></td>
      </tr>
      <tr>
          <td colspan="2"></td>
      </tr>
      <tr>
          <td width="50%">By: <img src="{company.authorized_signer_signature_base64}" style="max-height: 60px" onerror="this.style.display = 'none'"></td>
          <td width="50%">By: <img src="{company_pro_document.pro_signatures}" style="max-height: 60px" onerror="this.style.display = 'none'"></td>
      </tr>
      <tr>
          <td width="50%">Name: <b><u>{company.authorized_signer_name}</u></b></td>
          <td width="50%">Name: <b><u>{pro.name_first} {pro.name_last}</u></b></td>
      </tr>
      <tr>
          <td width="50%">Date: <b><u>{company_pro_document.hrm_pro_counter_signed_at}</u></b></td>
          <td width="50%">Date: <b><u>{company_pro_document.pro_signed_at}</u></b></td>
      </tr>
  </table>

  <center><h2 style="page-break-before: always;"><strong><u>SCHEDULE 1</u></strong></h2></center>
  <h4>Services</h4>
  <ol type="i">
      <li>
          <p style="line-height:25px;">HCP shall provide treatment services as reasonably requested from time to time by
              Practice.</p>
      </li>
      <li>
          <p style="line-height:25px;">HCP shall provide such other professional healthcare services as may be reasonably
              requested by Practice from time to time.</p>
      </li>
      <li>
          <p style="line-height:25px;">HCP shall provide treatment services in accordance with the applicable local, state
              and Federal laws, regulations and professional standards and the section 1.3 of the agreement.
          </p>
      </li>
      <li>
          <p style="line-height:25px;">HCP agrees to devote such time and effort as is generally required in the field and
              perform the tasks and duties related to consulting and prescribing so required in a manner consistent with
              the practice of HCP’s profession in medicine. HCP will not provide consultation/treatment for
              life-threatening and/or emergency conditions or for matters that HCP is not qualified to treat. HCP will
              refer any such patients to emergency or other appropriate personal care.
          </p>
      </li>
      <li>
          <p style="line-height:25px;">HCP and Practice may agree, from time to time, in writing, for HCP to assist Practice with certain predefined administrative duties.
  		These duties may include, but are not limited to, consultation, speaking at physical or virtual events, chart review, and/or supervising or collaborating with other clinicians in Practice. HCP shall provide such administrative services as mutually agreed upon and as mutually convenient with schedules of both HCP and Practice.</p>
      </li>
  </ol>

  <table border="0" cellpadding="5" width="100%">
      <tr>
          <td width="50%"><b>PRACTICE:</b></td>
          <td width="50%"><b>HCP:</b></td>
      </tr>
      <tr>
          <td colspan="2"></td>
      </tr>
      <tr>
          <td width="50%">By: <img src="{company.authorized_signer_signature_base64}" style="max-height: 60px" onerror="this.style.display = 'none'"></td>
          <td width="50%">By: <img src="{company_pro_document.pro_signatures}" style="max-height: 60px" onerror="this.style.display = 'none'"></td>
      </tr>
      <tr>
          <td width="50%">Name: <b><u>{company.authorized_signer_name}</u></b></td>
          <td width="50%">Name: <b><u>{pro.name_first} {pro.name_last}</u></b></td>
      </tr>
      <tr>
          <td width="50%">Date: <b><u>{company_pro_document.hrm_pro_counter_signed_at}</u></b></td>
          <td width="50%">Date: <b><u>{company_pro_document.pro_signed_at}</u></b></td>
      </tr>
  </table>

  <center><h2 style="page-break-before: always;"><strong><u>SCHEDULE 2</u></strong></h2></center>
  <h4>Compensation</h4>
  <p style="line-height:25px;"><b>HCP INITIAL AVAILABILITY:</b></p>
  <p style="line-height:25px;">HCP shall provide treatment services as needed when it is mutually convenient for HCP,
      Practice, and patients.</p>
  <p style="line-height:25px;">COMPENSATION:</p>
  <ul>
      <li>
          <p style="line-height:25px;">HCP will be reimbursed for billable encounters and consults in accordance with the following
              fee schedule:</p>
          <ul>
              <li>
                  <p style="line-height:25px;">60% of insurance collections</p>
              </li>
              <li>
                  <p style="line-height:25px;">$<b><u>{@Chart Review Compensation}</u></b> per chart review (if HCP and Practice agree mutually that HCP will assist with chart review).</p>
              </li>
  	    <li>
  		<p style="line-height:25px;">$160 per hour for pre-defined administrative services as mutually agreed upon, in writing, between HCP and Practice.</p>
  	    </li>
          </ul>
      </li>
      <li>
          <p style="line-height:25px;">From time to time, billable CPT codes and/or CPT reimbursement rates may fluctuate.
              HCP and Practice may modify this fee schedule if mutually agreed upon in writing.</p>
      </li>
  </ul>
  <p style="line-height:25px;">HCP acknowledges that the Medical Advisory Committee of the Practice has authority to
      determine medical necessity and appropriateness of documentation, and that services that do not meet these standards
      may be deemed as not billable. Practice shall not be liable to reimburse for Services that are deemed not billable,
      are denied claim, or do not follow all applicable laws, rules, and regulations (including all applicable third-party
      payor requirements).</p>

  <table border="0" cellpadding="5" width="100%">
      <tr>
          <td width="50%"><b>PRACTICE:</b></td>
          <td width="50%"><b>HCP:</b></td>
      </tr>
      <tr>
          <td colspan="2"></td>
      </tr>
      <tr>
          <td width="50%">By: <img src="{company.authorized_signer_signature_base64}" style="max-height: 60px" onerror="this.style.display = 'none'"></td>
          <td width="50%">By: <img src="{company_pro_document.pro_signatures}" style="max-height: 60px" onerror="this.style.display = 'none'"></td>
      </tr>
      <tr>
          <td width="50%">Name: <b><u>{company.authorized_signer_name}</u></b></td>
          <td width="50%">Name: <b><u>{pro.name_first} {pro.name_last}</u></b></td>
      </tr>
      <tr>
          <td width="50%">Date: <b><u>{company_pro_document.hrm_pro_counter_signed_at}</u></b></td>
          <td width="50%">Date: <b><u>{company_pro_document.pro_signed_at}</u></b></td>
      </tr>
  </table>


  <center><h2 style="page-break-before: always;"><strong><u>SCHEDULE 3</u></strong></h2></center>
  <h4><b>Confidentiality Acknowledgement</b></h4>

  <ol>
      <li>
          <p style="line-height:25px;"><b>HIPPA CONFIDENTIALITY:</b></p>
          <p style="line-height:25px;">Through my association/engagement with Scholar Medical Group, MD LLC; including its
              subsidiaries, parents, affiliates, successors and assigns; (“Practice”), as an HCP, I
              “<b><u>{pro.name_first} {pro.name_last}</u></b>” understand that patient information in any form (paper,
              electronic, oral, etc.) is protected by law and that breaches of patient confidentiality can have
              ramifications up to and including termination of my contract/association/engagement with Practice as well as
              possible civil and criminal penalties as related to HIPPA. (Health Insurance Portability Protection Act). I
              will only access, use or disclose what is necessary to carry out my assigned duties. I will not improperly
              divulge any information which comes to me through the carrying out of my assigned duties, program assignment
              or observation.</p>
          <p style="line-height:25px;">This includes but not limited to:</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">1.1</span> I will not discuss information
              pertaining to any patient with anyone (even my own family) who is not directly working with said patient.
          </p>
          <p style="line-height:25px;"><span style="margin-right:10px;">1.2</span> I will not discuss any patient
              information in any place where it can be overheard by anyone who is not authorized to have this information.
          </p>
          <p style="line-height:25px;"><span style="margin-right:10px;">1.3</span> I will not mention any patient’s name
              or disclose directly or indirectly that any person is a patient except to those authorized to have this
              information.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">1.4</span> I will not describe any behavior which
              I have observed or learned about through association with Practice or its business associates, affiliates &
              subsidiaries, except to those authorized to have this information.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">1.5</span> I will not contact any individual or
              agency outside Practice or its business associates, affiliates & subsidiaries to get personal information
              about an individual patient unless a release of information has been signed by the patient or by someone who
              has been legally authorized by the patient to release information.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">1.6</span> I will not use confidential information
              of Practice or its business associates, affiliates & subsidiaries’ business-related information in any
              manner not required by my job or disclose it to anyone not authorized to have or know it.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">1.7</span> I will not access a co-worker’s, family
              member’s or my own medical record unless I am directly working with the said patient or instructed by
              authorized personnel.</p>
          <p style="line-height:25px;"><span style="margin-right:10px;">1.8</span> I will not transfer, copy or scan any
              patient health information unless it is duly required as a part of my duties or approved by Practice or
              authorized personnel.</p>
      </li>
      <li>
          <p style="line-height:25px;"><b>COMPUTER SECURITY ACKNOWLEDGEMENT:</b></p>
          <p style="line-height:25px;">I understand my password and user ID create a unique user account and that Practice
              and/or its business associates, reserves the right to monitor my activity within any application. I
              understand I am accountable for any activity within the application linked to my unique user account and
              that I may be questioned about my activity. I understand I will be accountable for any document or data
              creation or modification linked to my unique user account. I understand that sharing my password, using
              someone else’s password or signing on for others to use the application are all breaches of security,
              patient confidentiality and my computer security procedures (such as signing off, not sharing passwords,
              etc.) to protect information maintained electronically from being accessed by an unauthorized user.</p>
      </li>
      <li>
          <p style="line-height:25px;"><b>INTERNET SECURITY ACKNOWLEDGEMENT:</b></p>
          <p style="line-height:25px;">I am familiar with the Internet and e-mail security policies and I agree to abide
              by them. I am aware that my unauthorized or inappropriate use of the Internet may result in disciplinary
              action up to and including termination. I further acknowledge my responsibility to keep my password
              confidential and in the event of a suspected compromise or a security problem, I will immediately notify the
              authorized personnel. In addition, when sending files or attachments via email, I will observe all
              Practice’s and/or its business associate’s security and confidentiality policies. (See HIPPA guidelines
              above).</p>
          <p style="line-height:25px;">I understand that the privilege of using the Internet and e-mail may not be granted
              to me in the future and that if granted is to be used for business reasons only.</p>
      </li>
  </ol>
  <p style="line-height:25px;"><i>By affixing my signature below, I acknowledge and accept all policies and procedures
          related to HIPPA confidentiality, computer security and internet security. Failure to abide by these policies
          may result in disciplinary action up to and including termination as well as possible civil and criminal
          penalties.</i></p>


  <table border="0" cellpadding="5" width="100%">
      <tr>
          <td width="50%"><b>HCP:</b></td>
      </tr>
      <tr>
          <td></td>
      </tr>
      <tr>
          <td width="50%">By: <img src="{company_pro_document.pro_signatures}" style="max-height: 60px" onerror="this.style.display = 'none'"></td>
      </tr>
      <tr>
          <td width="50%">Name: <b><u>{pro.name_first} {pro.name_last}</u></b></td>
      </tr>
      <tr>
          <td width="50%">Title: <b><u>{Your Title}</u></b></td>
      </tr>
      <tr>
          <td width="50%">Date: <b><u>{company_pro_document.pro_signed_at}</u></b></td>
      </tr>
  </table>

</div>
